((typeof self !== 'undefined' ? self : this)["webpackJsonpsafe_production_factor"] = (typeof self !== 'undefined' ? self : this)["webpackJsonpsafe_production_factor"] || []).push([[9],{

/***/ "083a":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var tryToString = __webpack_require__("0d51");

var $TypeError = TypeError;

module.exports = function (O, P) {
  if (!delete O[P]) throw new $TypeError('Cannot delete property ' + tryToString(P) + ' of ' + tryToString(O));
};


/***/ }),

/***/ "0eb6":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var $ = __webpack_require__("23e7");
var getBuiltIn = __webpack_require__("d066");
var getBuiltInNodeModule = __webpack_require__("2a07");
var fails = __webpack_require__("d039");
var create = __webpack_require__("7c73");
var createPropertyDescriptor = __webpack_require__("5c6c");
var defineProperty = __webpack_require__("9bf2").f;
var defineBuiltIn = __webpack_require__("cb2d");
var defineBuiltInAccessor = __webpack_require__("edd0");
var hasOwn = __webpack_require__("1a2d");
var anInstance = __webpack_require__("19aa");
var anObject = __webpack_require__("825a");
var errorToString = __webpack_require__("aa1f");
var normalizeStringArgument = __webpack_require__("e391");
var DOMExceptionConstants = __webpack_require__("cf98");
var clearErrorStack = __webpack_require__("0d26");
var InternalStateModule = __webpack_require__("69f3");
var DESCRIPTORS = __webpack_require__("83ab");
var IS_PURE = __webpack_require__("c430");

var DOM_EXCEPTION = 'DOMException';
var DATA_CLONE_ERR = 'DATA_CLONE_ERR';
var Error = getBuiltIn('Error');
// NodeJS < 17.0 does not expose `DOMException` to global
var NativeDOMException = getBuiltIn(DOM_EXCEPTION) || (function () {
  try {
    // NodeJS < 15.0 does not expose `MessageChannel` to global
    var MessageChannel = getBuiltIn('MessageChannel') || getBuiltInNodeModule('worker_threads').MessageChannel;
    // eslint-disable-next-line es/no-weak-map, unicorn/require-post-message-target-origin -- safe
    new MessageChannel().port1.postMessage(new WeakMap());
  } catch (error) {
    if (error.name === DATA_CLONE_ERR && error.code === 25) return error.constructor;
  }
})();
var NativeDOMExceptionPrototype = NativeDOMException && NativeDOMException.prototype;
var ErrorPrototype = Error.prototype;
var setInternalState = InternalStateModule.set;
var getInternalState = InternalStateModule.getterFor(DOM_EXCEPTION);
var HAS_STACK = 'stack' in new Error(DOM_EXCEPTION);

var codeFor = function (name) {
  return hasOwn(DOMExceptionConstants, name) && DOMExceptionConstants[name].m ? DOMExceptionConstants[name].c : 0;
};

var $DOMException = function DOMException() {
  anInstance(this, DOMExceptionPrototype);
  var argumentsLength = arguments.length;
  var message = normalizeStringArgument(argumentsLength < 1 ? undefined : arguments[0]);
  var name = normalizeStringArgument(argumentsLength < 2 ? undefined : arguments[1], 'Error');
  var code = codeFor(name);
  setInternalState(this, {
    type: DOM_EXCEPTION,
    name: name,
    message: message,
    code: code
  });
  if (!DESCRIPTORS) {
    this.name = name;
    this.message = message;
    this.code = code;
  }
  if (HAS_STACK) {
    var error = new Error(message);
    error.name = DOM_EXCEPTION;
    defineProperty(this, 'stack', createPropertyDescriptor(1, clearErrorStack(error.stack, 1)));
  }
};

var DOMExceptionPrototype = $DOMException.prototype = create(ErrorPrototype);

var createGetterDescriptor = function (get) {
  return { enumerable: true, configurable: true, get: get };
};

var getterFor = function (key) {
  return createGetterDescriptor(function () {
    return getInternalState(this)[key];
  });
};

if (DESCRIPTORS) {
  // `DOMException.prototype.code` getter
  defineBuiltInAccessor(DOMExceptionPrototype, 'code', getterFor('code'));
  // `DOMException.prototype.message` getter
  defineBuiltInAccessor(DOMExceptionPrototype, 'message', getterFor('message'));
  // `DOMException.prototype.name` getter
  defineBuiltInAccessor(DOMExceptionPrototype, 'name', getterFor('name'));
}

defineProperty(DOMExceptionPrototype, 'constructor', createPropertyDescriptor(1, $DOMException));

// FF36- DOMException is a function, but can't be constructed
var INCORRECT_CONSTRUCTOR = fails(function () {
  return !(new NativeDOMException() instanceof Error);
});

// Safari 10.1 / Chrome 32- / IE8- DOMException.prototype.toString bugs
var INCORRECT_TO_STRING = INCORRECT_CONSTRUCTOR || fails(function () {
  return ErrorPrototype.toString !== errorToString || String(new NativeDOMException(1, 2)) !== '2: 1';
});

// Deno 1.6.3- DOMException.prototype.code just missed
var INCORRECT_CODE = INCORRECT_CONSTRUCTOR || fails(function () {
  return new NativeDOMException(1, 'DataCloneError').code !== 25;
});

// Deno 1.6.3- DOMException constants just missed
var MISSED_CONSTANTS = INCORRECT_CONSTRUCTOR
  || NativeDOMException[DATA_CLONE_ERR] !== 25
  || NativeDOMExceptionPrototype[DATA_CLONE_ERR] !== 25;

var FORCED_CONSTRUCTOR = IS_PURE ? INCORRECT_TO_STRING || INCORRECT_CODE || MISSED_CONSTANTS : INCORRECT_CONSTRUCTOR;

// `DOMException` constructor
// https://webidl.spec.whatwg.org/#idl-DOMException
$({ global: true, constructor: true, forced: FORCED_CONSTRUCTOR }, {
  DOMException: FORCED_CONSTRUCTOR ? $DOMException : NativeDOMException
});

var PolyfilledDOMException = getBuiltIn(DOM_EXCEPTION);
var PolyfilledDOMExceptionPrototype = PolyfilledDOMException.prototype;

if (INCORRECT_TO_STRING && (IS_PURE || NativeDOMException === PolyfilledDOMException)) {
  defineBuiltIn(PolyfilledDOMExceptionPrototype, 'toString', errorToString);
}

if (INCORRECT_CODE && DESCRIPTORS && NativeDOMException === PolyfilledDOMException) {
  defineBuiltInAccessor(PolyfilledDOMExceptionPrototype, 'code', createGetterDescriptor(function () {
    return codeFor(anObject(this).name);
  }));
}

// `DOMException` constants
for (var key in DOMExceptionConstants) if (hasOwn(DOMExceptionConstants, key)) {
  var constant = DOMExceptionConstants[key];
  var constantName = constant.s;
  var descriptor = createPropertyDescriptor(6, constant.c);
  if (!hasOwn(PolyfilledDOMException, constantName)) {
    defineProperty(PolyfilledDOMException, constantName, descriptor);
  }
  if (!hasOwn(PolyfilledDOMExceptionPrototype, constantName)) {
    defineProperty(PolyfilledDOMExceptionPrototype, constantName, descriptor);
  }
}


/***/ }),

/***/ "1014":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var ERROR_CODES = ['ECONNRESET', 'ETIMEDOUT', 'EADDRINFO', 'ESOCKETTIMEDOUT'];

/**
 * Determine if a request should be retried.
 * (Borrowed from segmentio/superagent-retry)
 *
 * @param {Error} err
 * @param {Response} [res]
 * @returns {Boolean}
 */
module.exports = function shouldRetry(err, res) {
  if (err && err.code && ~ERROR_CODES.indexOf(err.code)) return true;
  if (res && res.status && res.status >= 500) return true;
  // Superagent timeout
  if (err && 'timeout' in err && err.code == 'ECONNABORTED') return true;
  if (err && 'crossDomain' in err) return true;
  return false;
};

/***/ }),

/***/ "313d":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var $ = __webpack_require__("23e7");
var globalThis = __webpack_require__("cfe9");
var getBuiltIn = __webpack_require__("d066");
var uncurryThis = __webpack_require__("e330");
var call = __webpack_require__("c65b");
var fails = __webpack_require__("d039");
var toString = __webpack_require__("577e");
var validateArgumentsLength = __webpack_require__("d6d6");
var i2c = __webpack_require__("b917").i2c;

var $btoa = getBuiltIn('btoa');
var charAt = uncurryThis(''.charAt);
var charCodeAt = uncurryThis(''.charCodeAt);

var BASIC = !!$btoa && !fails(function () {
  return $btoa('hi') !== 'aGk=';
});

var NO_ARG_RECEIVING_CHECK = BASIC && !fails(function () {
  $btoa();
});

var WRONG_ARG_CONVERSION = BASIC && fails(function () {
  return $btoa(null) !== 'bnVsbA==';
});

var WRONG_ARITY = BASIC && $btoa.length !== 1;

// `btoa` method
// https://html.spec.whatwg.org/multipage/webappapis.html#dom-btoa
$({ global: true, bind: true, enumerable: true, forced: !BASIC || NO_ARG_RECEIVING_CHECK || WRONG_ARG_CONVERSION || WRONG_ARITY }, {
  btoa: function btoa(data) {
    validateArgumentsLength(arguments.length, 1);
    // `webpack` dev server bug on IE global methods - use call(fn, global, ...)
    if (BASIC) return call($btoa, globalThis, toString(data));
    var string = toString(data);
    var output = '';
    var position = 0;
    var map = i2c;
    var block, charCode;
    while (charAt(string, position) || (map = '=', position % 1)) {
      charCode = charCodeAt(string, position += 3 / 4);
      if (charCode > 0xFF) {
        throw new (getBuiltIn('DOMException'))('The string contains characters outside of the Latin1 range', 'InvalidCharacterError');
      }
      block = block << 8 | charCode;
      output += charAt(map, 63 & block >> 8 - position % 1 * 8);
    } return output;
  }
});


/***/ }),

/***/ "39d3":
/***/ (function(module, exports, __webpack_require__) {

/* WEBPACK VAR INJECTION */(function(Buffer, module) {var __WEBPACK_AMD_DEFINE_FACTORY__, __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;var _classCallCheck = __webpack_require__("970b").default;
var _createClass = __webpack_require__("5bc3").default;
var _typeof = __webpack_require__("7037").default;
__webpack_require__("944a");
__webpack_require__("d9e2");
__webpack_require__("4de4");
__webpack_require__("caad");
__webpack_require__("e260");
__webpack_require__("a15b");
__webpack_require__("d81d");
__webpack_require__("b0c0");
__webpack_require__("6c57");
__webpack_require__("0c47");
__webpack_require__("23dc");
__webpack_require__("b64b");
__webpack_require__("d3b7");
__webpack_require__("e6cf");
__webpack_require__("ac1f");
__webpack_require__("25f0");
__webpack_require__("466d");
__webpack_require__("5319");
__webpack_require__("159b");
__webpack_require__("ddb0");
__webpack_require__("c73d");
(function (n, a) {
  ( false ? undefined : _typeof(exports)) == "object" && ( false ? undefined : _typeof(module)) < "u" ? a(exports, __webpack_require__("a8d6")) :  true ? !(__WEBPACK_AMD_DEFINE_ARRAY__ = [exports, __webpack_require__("a8d6")], __WEBPACK_AMD_DEFINE_FACTORY__ = (a),
				__WEBPACK_AMD_DEFINE_RESULT__ = (typeof __WEBPACK_AMD_DEFINE_FACTORY__ === 'function' ?
				(__WEBPACK_AMD_DEFINE_FACTORY__.apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__)) : __WEBPACK_AMD_DEFINE_FACTORY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__)) : (undefined);
})(this, function (n, a) {
  "use strict";

  var ae = Object.defineProperty;
  var ye = function ye(n, a, r) {
    return a in n ? ae(n, a, {
      enumerable: !0,
      configurable: !0,
      writable: !0,
      value: r
    }) : n[a] = r;
  };
  var ne = function ne(n, a, r) {
    return ye(n, _typeof(a) != "symbol" ? a + "" : a, r), r;
  };
  var _l = /*#__PURE__*/function () {
    function l() {
      _classCallCheck(this, l);
      this.basePath = "/".replace(/\/+$/, ""), this.authentications = {
        oauth2: {
          type: "oauth2"
        }
      }, this.defaultHeaders = {}, this.timeout = 6e4, this.cache = !0, this.enableCookies = !1, (typeof window === "undefined" ? "undefined" : _typeof(window)) > "u" && (this.agent = new a.agent()), this.requestAgent = null;
    }
    return _createClass(l, [{
      key: "paramToString",
      value: function paramToString(e) {
        return e == null || e == null ? "" : e instanceof Date ? e.toJSON() : e.toString();
      }
    }, {
      key: "buildUrl",
      value: function buildUrl(e, t) {
        var _this = this;
        e.match(/^\//) || (e = "/" + e);
        var o = this.basePath + e;
        return o = o.replace(/\{([\w-]+)\}/g, function (i, s) {
          var p;
          return t.hasOwnProperty(s) ? p = _this.paramToString(t[s]) : p = i, encodeURIComponent(p);
        }), o;
      }
    }, {
      key: "isJsonMime",
      value: function isJsonMime(e) {
        return !!(e != null && e.match(/^application\/json(;.*)?$/i));
      }
    }, {
      key: "jsonPreferredMime",
      value: function jsonPreferredMime(e) {
        for (var t = 0; t < e.length; t++) if (this.isJsonMime(e[t])) return e[t];
        return e[0];
      }
    }, {
      key: "isFileParam",
      value: function isFileParam(e) {
        if (true) {
          var t;
          try {
            t = __webpack_require__(3);
          } catch (_unused) {}
          if (t && t.ReadStream && e instanceof t.ReadStream) return !0;
        }
        return typeof Buffer == "function" && e instanceof Buffer || typeof Blob == "function" && e instanceof Blob || typeof File == "function" && e instanceof File;
      }
    }, {
      key: "normalizeParams",
      value: function normalizeParams(e) {
        var t = {};
        for (var o in e) if (e.hasOwnProperty(o) && e[o] != null && e[o] != null) {
          var i = e[o];
          this.isFileParam(i) || Array.isArray(i) ? t[o] = i : t[o] = this.paramToString(i);
        }
        return t;
      }
    }, {
      key: "buildCollectionParam",
      value: function buildCollectionParam(e, t) {
        if (e == null) return null;
        switch (t) {
          case "csv":
            return e.map(this.paramToString).join(",");
          case "ssv":
            return e.map(this.paramToString).join(" ");
          case "tsv":
            return e.map(this.paramToString).join("	");
          case "pipes":
            return e.map(this.paramToString).join("|");
          case "multi":
            return e.map(this.paramToString);
          default:
            throw new Error("Unknown collection format: " + t);
        }
      }
    }, {
      key: "applyAuthToRequest",
      value: function applyAuthToRequest(e, t) {
        var _this2 = this;
        t.forEach(function (o) {
          var i = _this2.authentications[o];
          switch (i.type) {
            case "basic":
              (i.username || i.password) && e.auth(i.username || "", i.password || "");
              break;
            case "apiKey":
              if (i.apiKey) {
                var s = {};
                i.apiKeyPrefix ? s[i.name] = i.apiKeyPrefix + " " + i.apiKey : s[i.name] = i.apiKey, i.in === "header" ? e.set(s) : e.query(s);
              }
              break;
            case "oauth2":
              i.accessToken && e.set({
                Authorization: "Bearer " + i.accessToken
              });
              break;
            default:
              throw new Error("Unknown authentication type: " + i.type);
          }
        });
      }
    }, {
      key: "deserialize",
      value: function deserialize(e, t) {
        if (e == null || e.status == 204) return null;
        var o = e.body;
        if ((o == null || _typeof(o) == "object" && _typeof(o.length) > "u" && !Object.keys(o).length) && (o = e.text), t == null && ["easc3"].includes("abp-application")) return {
          data: o
        };
        var i = _l.convertToType(o.data, t);
        return {
          code: o.code,
          data: i
        };
      }
    }, {
      key: "callApi",
      value: function callApi(e, t, o, i, s, p, w, X, Y, ee, te) {
        var _this3 = this;
        var pe = this.buildUrl(e, o),
          u = a(t, pe);
        this.applyAuthToRequest(u, X), t.toUpperCase() === "GET" && this.cache === !1 && (i._ = new Date().getTime()), u.query(this.normalizeParams(i)), u.set(this.defaultHeaders).set(this.normalizeParams(s)), this.requestAgent && u.agent(this.requestAgent), u.timeout(this.timeout);
        var x = this.jsonPreferredMime(Y);
        if (x ? x != "multipart/form-data" && u.type(x) : u.header["Content-Type"] || u.type("application/json"), x === "application/x-www-form-urlencoded") u.send(_l.stringify(this.normalizeParams(p)));else if (x == "multipart/form-data") {
          var _ = this.normalizeParams(p);
          for (var z in _) _.hasOwnProperty(z) && (this.isFileParam(_[z]) ? u.attach(z, _[z]) : u.field(z, _[z]));
        } else w && u.send(w);
        var oe = this.jsonPreferredMime(ee);
        return oe && u.accept(oe), te === "Blob" ? u.responseType("blob") : te === "String" && u.responseType("string"), this.enableCookies && ((typeof window === "undefined" ? "undefined" : _typeof(window)) > "u" ? this.agent.attachCookies(u) : u.withCredentials()), new Promise(function (ue, se) {
          u.end(function (ce, re) {
            if (ce) se(ce);else try {
              var fe = _this3.deserialize(re, te);
              _this3.enableCookies && (typeof window === "undefined" ? "undefined" : _typeof(window)) > "u" && _this3.agent.saveCookies(re), ue({
                data: fe,
                response: re
              });
            } catch (le) {
              se(le);
            }
          });
        });
      }
    }], [{
      key: "parseDate",
      value: function parseDate(e) {
        return new Date(e);
      }
    }, {
      key: "convertToType",
      value: function convertToType(e, t) {
        if (e == null) return e;
        switch (t) {
          case "Boolean":
            return !!e;
          case "Integer":
            return parseInt(e, 10);
          case "Number":
            return parseFloat(e);
          case "String":
            return String(e);
          case "Date":
            return _l.parseDate(String(e));
          case "Blob":
            return e;
          default:
            if (t === Object) return e;
            if (typeof t == "function") return t.constructFromObject(e);
            if (Array.isArray(t)) {
              var o = t[0];
              return e.map(function (ee) {
                return _l.convertToType(ee, o);
              });
            } else if (_typeof(t) == "object") {
              var i, s;
              for (var p in t) if (t.hasOwnProperty(p)) {
                i = p, s = t[p];
                break;
              }
              var w = {};
              for (var p in e) if (e.hasOwnProperty(p)) {
                var X = _l.convertToType(p, i),
                  Y = _l.convertToType(e[p], s);
                w[X] = Y;
              }
              return w;
            } else return e;
        }
      }
    }, {
      key: "constructFromObject",
      value: function constructFromObject(e, t, o) {
        if (Array.isArray(e)) for (var i = 0; i < e.length; i++) e.hasOwnProperty(i) && (t[i] = _l.convertToType(e[i], o));else for (var s in e) e.hasOwnProperty(s) && (t[s] = _l.convertToType(e[s], o));
      }
    }, {
      key: "GetInstance",
      value: function GetInstance(e, t) {
        return Wiz ? Wiz.GetApiClientInstance(e, t) : new _l();
      }
    }, {
      key: "stringifyPrimitive",
      value: function stringifyPrimitive(e) {
        switch (_typeof(e)) {
          case "string":
            return e;
          case "boolean":
            return e ? "true" : "false";
          case "number":
            return isFinite(e) ? e : "";
          default:
            return "";
        }
      }
    }, {
      key: "stringify",
      value: function stringify(e, t, o, i) {
        return t = t || "&", o = o || "=", e === null && (e = void 0), _typeof(e) == "object" ? Object.keys(e).map(function (s) {
          var p = encodeURIComponent(_l.stringifyPrimitive(s)) + o;
          return Array.isArray(e[s]) ? e[s].map(function (w) {
            return p + encodeURIComponent(_l.stringifyPrimitive(w));
          }).join(t) : p + encodeURIComponent(_l.stringifyPrimitive(e[s]));
        }).filter(Boolean).join(t) : i ? encodeURIComponent(_l.stringifyPrimitive(i)) + o + encodeURIComponent(_l.stringifyPrimitive(e)) : "";
      }
    }]);
  }();
  var r = _l;
  ne(r, "CollectionFormatEnum", {
    CSV: ",",
    SSV: " ",
    TSV: "	",
    PIPES: "|",
    MULTI: "multi"
  });
  var A = /*#__PURE__*/function () {
    function A() {
      _classCallCheck(this, A);
    }
    return _createClass(A, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new A(), e.hasOwnProperty("policies") && (t.policies = r.convertToType(e.policies, {
          String: "Boolean"
        })), e.hasOwnProperty("grantedPolicies") && (t.grantedPolicies = r.convertToType(e.grantedPolicies, {
          String: "Boolean"
        }))), t;
      }
    }]);
  }();
  A.prototype.policies = void 0, A.prototype.grantedPolicies = void 0;
  var M = /*#__PURE__*/function () {
    function M() {
      _classCallCheck(this, M);
    }
    return _createClass(M, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new M(), e.hasOwnProperty("values") && (t.values = r.convertToType(e.values, {
          String: "String"
        }))), t;
      }
    }]);
  }();
  M.prototype.values = void 0;
  var Z = /*#__PURE__*/function () {
    function Z() {
      _classCallCheck(this, Z);
    }
    return _createClass(Z, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new Z(), e.hasOwnProperty("enabledFeatures") && (t.enabledFeatures = r.convertToType(e.enabledFeatures, ["String"]))), t;
      }
    }]);
  }();
  Z.prototype.enabledFeatures = void 0;
  var T = /*#__PURE__*/function () {
    function T() {
      _classCallCheck(this, T);
    }
    return _createClass(T, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new T(), e.hasOwnProperty("calendarAlgorithmType") && (t.calendarAlgorithmType = r.convertToType(e.calendarAlgorithmType, "String")), e.hasOwnProperty("dateTimeFormatLong") && (t.dateTimeFormatLong = r.convertToType(e.dateTimeFormatLong, "String")), e.hasOwnProperty("shortDatePattern") && (t.shortDatePattern = r.convertToType(e.shortDatePattern, "String")), e.hasOwnProperty("fullDateTimePattern") && (t.fullDateTimePattern = r.convertToType(e.fullDateTimePattern, "String")), e.hasOwnProperty("dateSeparator") && (t.dateSeparator = r.convertToType(e.dateSeparator, "String")), e.hasOwnProperty("shortTimePattern") && (t.shortTimePattern = r.convertToType(e.shortTimePattern, "String")), e.hasOwnProperty("longTimePattern") && (t.longTimePattern = r.convertToType(e.longTimePattern, "String"))), t;
      }
    }]);
  }();
  T.prototype.calendarAlgorithmType = void 0, T.prototype.dateTimeFormatLong = void 0, T.prototype.shortDatePattern = void 0, T.prototype.fullDateTimePattern = void 0, T.prototype.dateSeparator = void 0, T.prototype.shortTimePattern = void 0, T.prototype.longTimePattern = void 0;
  var y = /*#__PURE__*/function () {
    function y() {
      _classCallCheck(this, y);
    }
    return _createClass(y, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new y(), e.hasOwnProperty("displayName") && (t.displayName = r.convertToType(e.displayName, "String")), e.hasOwnProperty("englishName") && (t.englishName = r.convertToType(e.englishName, "String")), e.hasOwnProperty("threeLetterIsoLanguageName") && (t.threeLetterIsoLanguageName = r.convertToType(e.threeLetterIsoLanguageName, "String")), e.hasOwnProperty("twoLetterIsoLanguageName") && (t.twoLetterIsoLanguageName = r.convertToType(e.twoLetterIsoLanguageName, "String")), e.hasOwnProperty("isRightToLeft") && (t.isRightToLeft = r.convertToType(e.isRightToLeft, "Boolean")), e.hasOwnProperty("cultureName") && (t.cultureName = r.convertToType(e.cultureName, "String")), e.hasOwnProperty("name") && (t.name = r.convertToType(e.name, "String")), e.hasOwnProperty("nativeName") && (t.nativeName = r.convertToType(e.nativeName, "String")), e.hasOwnProperty("dateTimeFormat") && (t.dateTimeFormat = T.constructFromObject(e.dateTimeFormat))), t;
      }
    }]);
  }();
  y.prototype.displayName = void 0, y.prototype.englishName = void 0, y.prototype.threeLetterIsoLanguageName = void 0, y.prototype.twoLetterIsoLanguageName = void 0, y.prototype.isRightToLeft = void 0, y.prototype.cultureName = void 0, y.prototype.name = void 0, y.prototype.nativeName = void 0, y.prototype.dateTimeFormat = void 0;
  var P = /*#__PURE__*/function () {
    function P() {
      _classCallCheck(this, P);
    }
    return _createClass(P, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new P(), e.hasOwnProperty("cultureName") && (t.cultureName = r.convertToType(e.cultureName, "String")), e.hasOwnProperty("uiCultureName") && (t.uiCultureName = r.convertToType(e.uiCultureName, "String")), e.hasOwnProperty("displayName") && (t.displayName = r.convertToType(e.displayName, "String")), e.hasOwnProperty("flagIcon") && (t.flagIcon = r.convertToType(e.flagIcon, "String"))), t;
      }
    }]);
  }();
  P.prototype.cultureName = void 0, P.prototype.uiCultureName = void 0, P.prototype.displayName = void 0, P.prototype.flagIcon = void 0;
  var v = /*#__PURE__*/function () {
    function v() {
      _classCallCheck(this, v);
    }
    return _createClass(v, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new v(), e.hasOwnProperty("name") && (t.name = r.convertToType(e.name, "String")), e.hasOwnProperty("value") && (t.value = r.convertToType(e.value, "String"))), t;
      }
    }]);
  }();
  v.prototype.name = void 0, v.prototype.value = void 0;
  var h = /*#__PURE__*/function () {
    function h() {
      _classCallCheck(this, h);
    }
    return _createClass(h, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new h(), e.hasOwnProperty("values") && (t.values = r.convertToType(e.values, {
          String: {
            String: "String"
          }
        })), e.hasOwnProperty("languages") && (t.languages = r.convertToType(e.languages, [P])), e.hasOwnProperty("currentCulture") && (t.currentCulture = y.constructFromObject(e.currentCulture)), e.hasOwnProperty("defaultResourceName") && (t.defaultResourceName = r.convertToType(e.defaultResourceName, "String")), e.hasOwnProperty("languagesMap") && (t.languagesMap = r.convertToType(e.languagesMap, {
          String: [v]
        })), e.hasOwnProperty("languageFilesMap") && (t.languageFilesMap = r.convertToType(e.languageFilesMap, {
          String: [v]
        }))), t;
      }
    }]);
  }();
  h.prototype.values = void 0, h.prototype.languages = void 0, h.prototype.currentCulture = void 0, h.prototype.defaultResourceName = void 0, h.prototype.languagesMap = void 0, h.prototype.languageFilesMap = void 0;
  var b = /*#__PURE__*/function () {
    function b() {
      _classCallCheck(this, b);
    }
    return _createClass(b, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new b(), e.hasOwnProperty("values") && (t.values = r.convertToType(e.values, {
          String: "String"
        }))), t;
      }
    }]);
  }();
  b.prototype.values = void 0;
  var k = /*#__PURE__*/function () {
    function k() {
      _classCallCheck(this, k);
    }
    return _createClass(k, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new k(), e.hasOwnProperty("kind") && (t.kind = r.convertToType(e.kind, "String"))), t;
      }
    }]);
  }();
  k.prototype.kind = void 0;
  var S = /*#__PURE__*/function () {
    function S() {
      _classCallCheck(this, S);
    }
    return _createClass(S, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new S(), e.hasOwnProperty("id") && (t.id = r.convertToType(e.id, "String")), e.hasOwnProperty("name") && (t.name = r.convertToType(e.name, "String")), e.hasOwnProperty("isAvailable") && (t.isAvailable = r.convertToType(e.isAvailable, "Boolean"))), t;
      }
    }]);
  }();
  S.prototype.id = void 0, S.prototype.name = void 0, S.prototype.isAvailable = void 0;
  var c = /*#__PURE__*/function () {
    function c() {
      _classCallCheck(this, c);
    }
    return _createClass(c, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new c(), e.hasOwnProperty("isAuthenticated") && (t.isAuthenticated = r.convertToType(e.isAuthenticated, "Boolean")), e.hasOwnProperty("id") && (t.id = r.convertToType(e.id, "String")), e.hasOwnProperty("tenantId") && (t.tenantId = r.convertToType(e.tenantId, "String")), e.hasOwnProperty("impersonatorUserId") && (t.impersonatorUserId = r.convertToType(e.impersonatorUserId, "String")), e.hasOwnProperty("impersonatorTenantId") && (t.impersonatorTenantId = r.convertToType(e.impersonatorTenantId, "String")), e.hasOwnProperty("impersonatorUserName") && (t.impersonatorUserName = r.convertToType(e.impersonatorUserName, "String")), e.hasOwnProperty("impersonatorTenantName") && (t.impersonatorTenantName = r.convertToType(e.impersonatorTenantName, "String")), e.hasOwnProperty("userName") && (t.userName = r.convertToType(e.userName, "String")), e.hasOwnProperty("name") && (t.name = r.convertToType(e.name, "String")), e.hasOwnProperty("surName") && (t.surName = r.convertToType(e.surName, "String")), e.hasOwnProperty("email") && (t.email = r.convertToType(e.email, "String")), e.hasOwnProperty("emailVerified") && (t.emailVerified = r.convertToType(e.emailVerified, "Boolean")), e.hasOwnProperty("phoneNumber") && (t.phoneNumber = r.convertToType(e.phoneNumber, "String")), e.hasOwnProperty("phoneNumberVerified") && (t.phoneNumberVerified = r.convertToType(e.phoneNumberVerified, "Boolean")), e.hasOwnProperty("roles") && (t.roles = r.convertToType(e.roles, ["String"]))), t;
      }
    }]);
  }();
  c.prototype.isAuthenticated = void 0, c.prototype.id = void 0, c.prototype.tenantId = void 0, c.prototype.impersonatorUserId = void 0, c.prototype.impersonatorTenantId = void 0, c.prototype.impersonatorUserName = void 0, c.prototype.impersonatorTenantName = void 0, c.prototype.userName = void 0, c.prototype.name = void 0, c.prototype.surName = void 0, c.prototype.email = void 0, c.prototype.emailVerified = void 0, c.prototype.phoneNumber = void 0, c.prototype.phoneNumberVerified = void 0, c.prototype.roles = void 0;
  var G = /*#__PURE__*/function () {
    function G() {
      _classCallCheck(this, G);
    }
    return _createClass(G, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new G(), e.hasOwnProperty("isEnabled") && (t.isEnabled = r.convertToType(e.isEnabled, "Boolean"))), t;
      }
    }]);
  }();
  G.prototype.isEnabled = void 0;
  var N = /*#__PURE__*/function () {
    function N() {
      _classCallCheck(this, N);
    }
    return _createClass(N, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new N(), e.hasOwnProperty("name") && (t.name = r.convertToType(e.name, "String")), e.hasOwnProperty("value") && (t.value = r.convertToType(e.value, Object))), t;
      }
    }]);
  }();
  N.prototype.name = void 0, N.prototype.value = void 0;
  var C = /*#__PURE__*/function () {
    function C() {
      _classCallCheck(this, C);
    }
    return _createClass(C, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new C(), e.hasOwnProperty("fields") && (t.fields = r.convertToType(e.fields, [N])), e.hasOwnProperty("localizationResource") && (t.localizationResource = r.convertToType(e.localizationResource, "String"))), t;
      }
    }]);
  }();
  C.prototype.fields = void 0, C.prototype.localizationResource = void 0;
  var K = /*#__PURE__*/function () {
    function K() {
      _classCallCheck(this, K);
    }
    return _createClass(K, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new K(), e.hasOwnProperty("isAvailable") && (t.isAvailable = r.convertToType(e.isAvailable, "Boolean"))), t;
      }
    }]);
  }();
  K.prototype.isAvailable = void 0;
  var q = /*#__PURE__*/function () {
    function q() {
      _classCallCheck(this, q);
    }
    return _createClass(q, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new q(), e.hasOwnProperty("isAvailable") && (t.isAvailable = r.convertToType(e.isAvailable, "Boolean"))), t;
      }
    }]);
  }();
  q.prototype.isAvailable = void 0;
  var W = /*#__PURE__*/function () {
    function W() {
      _classCallCheck(this, W);
    }
    return _createClass(W, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new W(), e.hasOwnProperty("isAvailable") && (t.isAvailable = r.convertToType(e.isAvailable, "Boolean"))), t;
      }
    }]);
  }();
  W.prototype.isAvailable = void 0;
  var F = /*#__PURE__*/function () {
    function F() {
      _classCallCheck(this, F);
    }
    return _createClass(F, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new F(), e.hasOwnProperty("onGet") && (t.onGet = q.constructFromObject(e.onGet)), e.hasOwnProperty("onCreate") && (t.onCreate = K.constructFromObject(e.onCreate)), e.hasOwnProperty("onUpdate") && (t.onUpdate = W.constructFromObject(e.onUpdate))), t;
      }
    }]);
  }();
  F.prototype.onGet = void 0, F.prototype.onCreate = void 0, F.prototype.onUpdate = void 0;
  var I = /*#__PURE__*/function () {
    function I() {
      _classCallCheck(this, I);
    }
    return _createClass(I, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new I(), e.hasOwnProperty("typeSimple") && (t.typeSimple = r.convertToType(e.typeSimple, "String")), e.hasOwnProperty("config") && (t.config = r.convertToType(e.config, {
          String: Object
        }))), t;
      }
    }]);
  }();
  I.prototype.typeSimple = void 0, I.prototype.config = void 0;
  var D = /*#__PURE__*/function () {
    function D() {
      _classCallCheck(this, D);
    }
    return _createClass(D, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new D(), e.hasOwnProperty("isVisible") && (t.isVisible = r.convertToType(e.isVisible, "Boolean"))), t;
      }
    }]);
  }();
  D.prototype.isVisible = void 0;
  var g = /*#__PURE__*/function () {
    function g() {
      _classCallCheck(this, g);
    }
    return _createClass(g, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new g(), e.hasOwnProperty("url") && (t.url = r.convertToType(e.url, "String")), e.hasOwnProperty("resultListPropertyName") && (t.resultListPropertyName = r.convertToType(e.resultListPropertyName, "String")), e.hasOwnProperty("displayPropertyName") && (t.displayPropertyName = r.convertToType(e.displayPropertyName, "String")), e.hasOwnProperty("valuePropertyName") && (t.valuePropertyName = r.convertToType(e.valuePropertyName, "String")), e.hasOwnProperty("filterParamName") && (t.filterParamName = r.convertToType(e.filterParamName, "String"))), t;
      }
    }]);
  }();
  g.prototype.url = void 0, g.prototype.resultListPropertyName = void 0, g.prototype.displayPropertyName = void 0, g.prototype.valuePropertyName = void 0, g.prototype.filterParamName = void 0;
  var H = /*#__PURE__*/function () {
    function H() {
      _classCallCheck(this, H);
    }
    return _createClass(H, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new H(), e.hasOwnProperty("isVisible") && (t.isVisible = r.convertToType(e.isVisible, "Boolean"))), t;
      }
    }]);
  }();
  H.prototype.isVisible = void 0;
  var d = /*#__PURE__*/function () {
    function d() {
      _classCallCheck(this, d);
    }
    return _createClass(d, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new d(), e.hasOwnProperty("onTable") && (t.onTable = H.constructFromObject(e.onTable)), e.hasOwnProperty("onCreateForm") && (t.onCreateForm = D.constructFromObject(e.onCreateForm)), e.hasOwnProperty("onEditForm") && (t.onEditForm = D.constructFromObject(e.onEditForm)), e.hasOwnProperty("lookup") && (t.lookup = g.constructFromObject(e.lookup))), t;
      }
    }]);
  }();
  d.prototype.onTable = void 0, d.prototype.onCreateForm = void 0, d.prototype.onEditForm = void 0, d.prototype.lookup = void 0;
  var E = /*#__PURE__*/function () {
    function E() {
      _classCallCheck(this, E);
    }
    return _createClass(E, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new E(), e.hasOwnProperty("name") && (t.name = r.convertToType(e.name, "String")), e.hasOwnProperty("resource") && (t.resource = r.convertToType(e.resource, "String"))), t;
      }
    }]);
  }();
  E.prototype.name = void 0, E.prototype.resource = void 0;
  var m = /*#__PURE__*/function () {
    function m() {
      _classCallCheck(this, m);
    }
    return _createClass(m, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new m(), e.hasOwnProperty("type") && (t.type = r.convertToType(e.type, "String")), e.hasOwnProperty("typeSimple") && (t.typeSimple = r.convertToType(e.typeSimple, "String")), e.hasOwnProperty("displayName") && (t.displayName = E.constructFromObject(e.displayName)), e.hasOwnProperty("api") && (t.api = F.constructFromObject(e.api)), e.hasOwnProperty("ui") && (t.ui = d.constructFromObject(e.ui)), e.hasOwnProperty("attributes") && (t.attributes = r.convertToType(e.attributes, [I])), e.hasOwnProperty("configuration") && (t.configuration = r.convertToType(e.configuration, {
          String: Object
        })), e.hasOwnProperty("defaultValue") && (t.defaultValue = r.convertToType(e.defaultValue, Object))), t;
      }
    }]);
  }();
  m.prototype.type = void 0, m.prototype.typeSimple = void 0, m.prototype.displayName = void 0, m.prototype.api = void 0, m.prototype.ui = void 0, m.prototype.attributes = void 0, m.prototype.configuration = void 0, m.prototype.defaultValue = void 0;
  var U = /*#__PURE__*/function () {
    function U() {
      _classCallCheck(this, U);
    }
    return _createClass(U, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new U(), e.hasOwnProperty("properties") && (t.properties = r.convertToType(e.properties, {
          String: m
        })), e.hasOwnProperty("configuration") && (t.configuration = r.convertToType(e.configuration, {
          String: Object
        }))), t;
      }
    }]);
  }();
  U.prototype.properties = void 0, U.prototype.configuration = void 0;
  var L = /*#__PURE__*/function () {
    function L() {
      _classCallCheck(this, L);
    }
    return _createClass(L, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new L(), e.hasOwnProperty("entities") && (t.entities = r.convertToType(e.entities, {
          String: U
        })), e.hasOwnProperty("configuration") && (t.configuration = r.convertToType(e.configuration, {
          String: Object
        }))), t;
      }
    }]);
  }();
  L.prototype.entities = void 0, L.prototype.configuration = void 0;
  var R = /*#__PURE__*/function () {
    function R() {
      _classCallCheck(this, R);
    }
    return _createClass(R, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new R(), e.hasOwnProperty("modules") && (t.modules = r.convertToType(e.modules, {
          String: L
        })), e.hasOwnProperty("enums") && (t.enums = r.convertToType(e.enums, {
          String: C
        }))), t;
      }
    }]);
  }();
  R.prototype.modules = void 0, R.prototype.enums = void 0;
  var J = /*#__PURE__*/function () {
    function J() {
      _classCallCheck(this, J);
    }
    return _createClass(J, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new J(), e.hasOwnProperty("timeZoneName") && (t.timeZoneName = r.convertToType(e.timeZoneName, "String"))), t;
      }
    }]);
  }();
  J.prototype.timeZoneName = void 0;
  var $ = /*#__PURE__*/function () {
    function $() {
      _classCallCheck(this, $);
    }
    return _createClass($, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new $(), e.hasOwnProperty("timeZoneId") && (t.timeZoneId = r.convertToType(e.timeZoneId, "String"))), t;
      }
    }]);
  }();
  $.prototype.timeZoneId = void 0;
  var B = /*#__PURE__*/function () {
    function B() {
      _classCallCheck(this, B);
    }
    return _createClass(B, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new B(), e.hasOwnProperty("iana") && (t.iana = J.constructFromObject(e.iana)), e.hasOwnProperty("windows") && (t.windows = $.constructFromObject(e.windows))), t;
      }
    }]);
  }();
  B.prototype.iana = void 0, B.prototype.windows = void 0;
  var Q = /*#__PURE__*/function () {
    function Q() {
      _classCallCheck(this, Q);
    }
    return _createClass(Q, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new Q(), e.hasOwnProperty("timeZone") && (t.timeZone = B.constructFromObject(e.timeZone))), t;
      }
    }]);
  }();
  Q.prototype.timeZone = void 0;
  var f = /*#__PURE__*/function () {
    function f() {
      _classCallCheck(this, f);
    }
    return _createClass(f, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new f(), e.hasOwnProperty("localization") && (t.localization = h.constructFromObject(e.localization)), e.hasOwnProperty("auth") && (t.auth = A.constructFromObject(e.auth)), e.hasOwnProperty("setting") && (t.setting = b.constructFromObject(e.setting)), e.hasOwnProperty("currentUser") && (t.currentUser = c.constructFromObject(e.currentUser)), e.hasOwnProperty("features") && (t.features = M.constructFromObject(e.features)), e.hasOwnProperty("globalFeatures") && (t.globalFeatures = Z.constructFromObject(e.globalFeatures)), e.hasOwnProperty("multiTenancy") && (t.multiTenancy = G.constructFromObject(e.multiTenancy)), e.hasOwnProperty("currentTenant") && (t.currentTenant = S.constructFromObject(e.currentTenant)), e.hasOwnProperty("timing") && (t.timing = Q.constructFromObject(e.timing)), e.hasOwnProperty("clock") && (t.clock = k.constructFromObject(e.clock)), e.hasOwnProperty("objectExtensions") && (t.objectExtensions = R.constructFromObject(e.objectExtensions)), e.hasOwnProperty("extraProperties") && (t.extraProperties = r.convertToType(e.extraProperties, {
          String: Object
        }))), t;
      }
    }]);
  }();
  f.prototype.localization = void 0, f.prototype.auth = void 0, f.prototype.setting = void 0, f.prototype.currentUser = void 0, f.prototype.features = void 0, f.prototype.globalFeatures = void 0, f.prototype.multiTenancy = void 0, f.prototype.currentTenant = void 0, f.prototype.timing = void 0, f.prototype.clock = void 0, f.prototype.objectExtensions = void 0, f.prototype.extraProperties = void 0;
  var V = /*#__PURE__*/function () {
    function V() {
      _classCallCheck(this, V);
    }
    return _createClass(V, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new V(), e.hasOwnProperty("message") && (t.message = r.convertToType(e.message, "String")), e.hasOwnProperty("members") && (t.members = r.convertToType(e.members, ["String"]))), t;
      }
    }]);
  }();
  V.prototype.message = void 0, V.prototype.members = void 0;
  var O = /*#__PURE__*/function () {
    function O() {
      _classCallCheck(this, O);
    }
    return _createClass(O, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new O(), e.hasOwnProperty("code") && (t.code = r.convertToType(e.code, "String")), e.hasOwnProperty("message") && (t.message = r.convertToType(e.message, "String")), e.hasOwnProperty("details") && (t.details = r.convertToType(e.details, "String")), e.hasOwnProperty("data") && (t.data = r.convertToType(e.data, {
          String: Object
        })), e.hasOwnProperty("validationErrors") && (t.validationErrors = r.convertToType(e.validationErrors, [V]))), t;
      }
    }]);
  }();
  O.prototype.code = void 0, O.prototype.message = void 0, O.prototype.details = void 0, O.prototype.data = void 0, O.prototype.validationErrors = void 0;
  var j = /*#__PURE__*/function () {
    function j() {
      _classCallCheck(this, j);
    }
    return _createClass(j, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new j(), e.hasOwnProperty("error") && (t.error = O.constructFromObject(e.error))), t;
      }
    }]);
  }();
  j.prototype.error = void 0;
  var ie = /*#__PURE__*/function () {
    function ie(e) {
      _classCallCheck(this, ie);
      this.apiClient = e || r.GetInstance("abp-application", "AbpApplicationConfigurationApi");
    }
    return _createClass(ie, [{
      key: "getWithHttpInfo",
      value: function getWithHttpInfo() {
        var e = null,
          t = {},
          o = {},
          i = {},
          s = {},
          p = ["oauth2"],
          w = [],
          X = ["text/plain", "application/json", "text/json"],
          Y = f;
        return this.apiClient.callApi("/api/abp/application-configuration", "GET", t, o, i, s, e, p, w, X, Y);
      }
    }, {
      key: "get",
      value: function get() {
        return this.getWithHttpInfo();
      }
    }]);
  }();
  ne(ie, "Methods", {
    get: {
      method: "GET",
      path: "/api/abp/application-configuration"
    }
  }), n.AbpApplicationAuthConfigurationDto = A, n.AbpApplicationConfigurationApi = ie, n.AbpApplicationConfigurationDto = f, n.AbpApplicationFeatureConfigurationDto = M, n.AbpApplicationGlobalFeatureConfigurationDto = Z, n.AbpApplicationLocalizationConfigurationDto = h, n.AbpApplicationSettingConfigurationDto = b, n.AbpClockDto = k, n.AbpCurrentCultureDto = y, n.AbpCurrentTenantDto = S, n.AbpCurrentUserDto = c, n.AbpDateTimeFormatDto = T, n.AbpEntityExtensionDto = U, n.AbpExtensionEnumDto = C, n.AbpExtensionEnumFieldDto = N, n.AbpExtensionPropertyApiCreateDto = K, n.AbpExtensionPropertyApiDto = F, n.AbpExtensionPropertyApiGetDto = q, n.AbpExtensionPropertyApiUpdateDto = W, n.AbpExtensionPropertyAttributeDto = I, n.AbpExtensionPropertyDto = m, n.AbpExtensionPropertyUiDto = d, n.AbpExtensionPropertyUiFormDto = D, n.AbpExtensionPropertyUiLookupDto = g, n.AbpExtensionPropertyUiTableDto = H, n.AbpIanaTimeZone = J, n.AbpLanguageInfo = P, n.AbpLocalizableStringDto = E, n.AbpModuleExtensionDto = L, n.AbpMultiTenancyInfoDto = G, n.AbpNameValue = v, n.AbpObjectExtensionsDto = R, n.AbpRemoteServiceErrorInfo = O, n.AbpRemoteServiceErrorResponse = j, n.AbpRemoteServiceValidationErrorInfo = V, n.AbpTimeZone = B, n.AbpTimingDto = Q, n.AbpWindowsTimeZone = $, n.ApiClient = r, Object.defineProperty(n, Symbol.toStringTag, {
    value: "Module"
  });
});
/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__("b639").Buffer, __webpack_require__("62e4")(module)))

/***/ }),

/***/ "3f7e":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var userAgent = __webpack_require__("b5db");

var firefox = userAgent.match(/firefox\/(\d+)/i);

module.exports = !!firefox && +firefox[1];


/***/ }),

/***/ "4e82":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var $ = __webpack_require__("23e7");
var uncurryThis = __webpack_require__("e330");
var aCallable = __webpack_require__("59ed");
var toObject = __webpack_require__("7b0b");
var lengthOfArrayLike = __webpack_require__("07fa");
var deletePropertyOrThrow = __webpack_require__("083a");
var toString = __webpack_require__("577e");
var fails = __webpack_require__("d039");
var internalSort = __webpack_require__("addb");
var arrayMethodIsStrict = __webpack_require__("a640");
var FF = __webpack_require__("3f7e");
var IE_OR_EDGE = __webpack_require__("99f4");
var V8 = __webpack_require__("1212");
var WEBKIT = __webpack_require__("ea83");

var test = [];
var nativeSort = uncurryThis(test.sort);
var push = uncurryThis(test.push);

// IE8-
var FAILS_ON_UNDEFINED = fails(function () {
  test.sort(undefined);
});
// V8 bug
var FAILS_ON_NULL = fails(function () {
  test.sort(null);
});
// Old WebKit
var STRICT_METHOD = arrayMethodIsStrict('sort');

var STABLE_SORT = !fails(function () {
  // feature detection can be too slow, so check engines versions
  if (V8) return V8 < 70;
  if (FF && FF > 3) return;
  if (IE_OR_EDGE) return true;
  if (WEBKIT) return WEBKIT < 603;

  var result = '';
  var code, chr, value, index;

  // generate an array with more 512 elements (Chakra and old V8 fails only in this case)
  for (code = 65; code < 76; code++) {
    chr = String.fromCharCode(code);

    switch (code) {
      case 66: case 69: case 70: case 72: value = 3; break;
      case 68: case 71: value = 4; break;
      default: value = 2;
    }

    for (index = 0; index < 47; index++) {
      test.push({ k: chr + index, v: value });
    }
  }

  test.sort(function (a, b) { return b.v - a.v; });

  for (index = 0; index < test.length; index++) {
    chr = test[index].k.charAt(0);
    if (result.charAt(result.length - 1) !== chr) result += chr;
  }

  return result !== 'DGBEFHACIJK';
});

var FORCED = FAILS_ON_UNDEFINED || !FAILS_ON_NULL || !STRICT_METHOD || !STABLE_SORT;

var getSortCompare = function (comparefn) {
  return function (x, y) {
    if (y === undefined) return -1;
    if (x === undefined) return 1;
    if (comparefn !== undefined) return +comparefn(x, y) || 0;
    return toString(x) > toString(y) ? 1 : -1;
  };
};

// `Array.prototype.sort` method
// https://tc39.es/ecma262/#sec-array.prototype.sort
$({ target: 'Array', proto: true, forced: FORCED }, {
  sort: function sort(comparefn) {
    if (comparefn !== undefined) aCallable(comparefn);

    var array = toObject(this);

    if (STABLE_SORT) return comparefn === undefined ? nativeSort(array) : nativeSort(array, comparefn);

    var items = [];
    var arrayLength = lengthOfArrayLike(array);
    var itemsLength, index;

    for (index = 0; index < arrayLength; index++) {
      if (index in array) push(items, array[index]);
    }

    internalSort(items, getSortCompare(comparefn));

    itemsLength = lengthOfArrayLike(items);
    index = 0;

    while (index < itemsLength) array[index] = items[index++];
    while (index < arrayLength) deletePropertyOrThrow(array, index++);

    return array;
  }
});


/***/ }),

/***/ "4fadc":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var $ = __webpack_require__("23e7");
var $entries = __webpack_require__("6f53").entries;

// `Object.entries` method
// https://tc39.es/ecma262/#sec-object.entries
$({ target: 'Object', stat: true }, {
  entries: function entries(O) {
    return $entries(O);
  }
});


/***/ }),

/***/ "51dd":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Module of mixed-in functions shared between node and client code
 */
var _typeof = __webpack_require__("7037").default;
__webpack_require__("d9e2");
__webpack_require__("a15b");
__webpack_require__("4e82");
__webpack_require__("d3b7");
__webpack_require__("e6cf");
var isObject = __webpack_require__("f049");

/**
 * Expose `RequestBase`.
 */

module.exports = RequestBase;

/**
 * Initialize a new `RequestBase`.
 *
 * @api public
 */

function RequestBase(obj) {
  if (obj) return mixin(obj);
}

/**
 * Mixin the prototype properties.
 *
 * @param {Object} obj
 * @return {Object}
 * @api private
 */

function mixin(obj) {
  for (var key in RequestBase.prototype) {
    obj[key] = RequestBase.prototype[key];
  }
  return obj;
}

/**
 * Clear previous timeout.
 *
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.clearTimeout = function _clearTimeout() {
  clearTimeout(this._timer);
  clearTimeout(this._responseTimeoutTimer);
  delete this._timer;
  delete this._responseTimeoutTimer;
  return this;
};

/**
 * Override default response body parser
 *
 * This function will be called to convert incoming data into request.body
 *
 * @param {Function}
 * @api public
 */

RequestBase.prototype.parse = function parse(fn) {
  this._parser = fn;
  return this;
};

/**
 * Set format of binary response body.
 * In browser valid formats are 'blob' and 'arraybuffer',
 * which return Blob and ArrayBuffer, respectively.
 *
 * In Node all values result in Buffer.
 *
 * Examples:
 *
 *      req.get('/')
 *        .responseType('blob')
 *        .end(callback);
 *
 * @param {String} val
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.responseType = function (val) {
  this._responseType = val;
  return this;
};

/**
 * Override default request body serializer
 *
 * This function will be called to convert data set via .send or .attach into payload to send
 *
 * @param {Function}
 * @api public
 */

RequestBase.prototype.serialize = function serialize(fn) {
  this._serializer = fn;
  return this;
};

/**
 * Set timeouts.
 *
 * - response timeout is time between sending request and receiving the first byte of the response. Includes DNS and connection time.
 * - deadline is the time from start of the request to receiving response body in full. If the deadline is too short large files may not load at all on slow connections.
 *
 * Value of 0 or false means no timeout.
 *
 * @param {Number|Object} ms or {response, deadline}
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.timeout = function timeout(options) {
  if (!options || 'object' !== _typeof(options)) {
    this._timeout = options;
    this._responseTimeout = 0;
    return this;
  }
  for (var option in options) {
    switch (option) {
      case 'deadline':
        this._timeout = options.deadline;
        break;
      case 'response':
        this._responseTimeout = options.response;
        break;
      default:
        console.warn("Unknown timeout option", option);
    }
  }
  return this;
};

/**
 * Set number of retry attempts on error.
 *
 * Failed requests will be retried 'count' times if timeout or err.code >= 500.
 *
 * @param {Number} count
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.retry = function retry(count) {
  // Default to 1 if no count passed or true
  if (arguments.length === 0 || count === true) count = 1;
  if (count <= 0) count = 0;
  this._maxRetries = count;
  this._retries = 0;
  return this;
};

/**
 * Retry request
 *
 * @return {Request} for chaining
 * @api private
 */

RequestBase.prototype._retry = function () {
  this.clearTimeout();

  // node
  if (this.req) {
    this.req = null;
    this.req = this.request();
  }
  this._aborted = false;
  this.timedout = false;
  return this._end();
};

/**
 * Promise support
 *
 * @param {Function} resolve
 * @param {Function} [reject]
 * @return {Request}
 */

RequestBase.prototype.then = function then(resolve, reject) {
  if (!this._fullfilledPromise) {
    var self = this;
    if (this._endCalled) {
      console.warn("Warning: superagent request was sent twice, because both .end() and .then() were called. Never call .end() if you use promises");
    }
    this._fullfilledPromise = new Promise(function (innerResolve, innerReject) {
      self.end(function (err, res) {
        if (err) innerReject(err);else innerResolve(res);
      });
    });
  }
  return this._fullfilledPromise.then(resolve, reject);
};
RequestBase.prototype.catch = function (cb) {
  return this.then(undefined, cb);
};

/**
 * Allow for extension
 */

RequestBase.prototype.use = function use(fn) {
  fn(this);
  return this;
};
RequestBase.prototype.ok = function (cb) {
  if ('function' !== typeof cb) throw Error("Callback required");
  this._okCallback = cb;
  return this;
};
RequestBase.prototype._isResponseOK = function (res) {
  if (!res) {
    return false;
  }
  if (this._okCallback) {
    return this._okCallback(res);
  }
  return res.status >= 200 && res.status < 300;
};

/**
 * Get request header `field`.
 * Case-insensitive.
 *
 * @param {String} field
 * @return {String}
 * @api public
 */

RequestBase.prototype.get = function (field) {
  return this._header[field.toLowerCase()];
};

/**
 * Get case-insensitive header `field` value.
 * This is a deprecated internal API. Use `.get(field)` instead.
 *
 * (getHeader is no longer used internally by the superagent code base)
 *
 * @param {String} field
 * @return {String}
 * @api private
 * @deprecated
 */

RequestBase.prototype.getHeader = RequestBase.prototype.get;

/**
 * Set header `field` to `val`, or multiple fields with one object.
 * Case-insensitive.
 *
 * Examples:
 *
 *      req.get('/')
 *        .set('Accept', 'application/json')
 *        .set('X-API-Key', 'foobar')
 *        .end(callback);
 *
 *      req.get('/')
 *        .set({ Accept: 'application/json', 'X-API-Key': 'foobar' })
 *        .end(callback);
 *
 * @param {String|Object} field
 * @param {String} val
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.set = function (field, val) {
  if (isObject(field)) {
    for (var key in field) {
      this.set(key, field[key]);
    }
    return this;
  }
  this._header[field.toLowerCase()] = val;
  this.header[field] = val;
  return this;
};

/**
 * Remove header `field`.
 * Case-insensitive.
 *
 * Example:
 *
 *      req.get('/')
 *        .unset('User-Agent')
 *        .end(callback);
 *
 * @param {String} field
 */
RequestBase.prototype.unset = function (field) {
  delete this._header[field.toLowerCase()];
  delete this.header[field];
  return this;
};

/**
 * Write the field `name` and `val`, or multiple fields with one object
 * for "multipart/form-data" request bodies.
 *
 * ``` js
 * request.post('/upload')
 *   .field('foo', 'bar')
 *   .end(callback);
 *
 * request.post('/upload')
 *   .field({ foo: 'bar', baz: 'qux' })
 *   .end(callback);
 * ```
 *
 * @param {String|Object} name
 * @param {String|Blob|File|Buffer|fs.ReadStream} val
 * @return {Request} for chaining
 * @api public
 */
RequestBase.prototype.field = function (name, val) {
  // name should be either a string or an object.
  if (null === name || undefined === name) {
    throw new Error('.field(name, val) name can not be empty');
  }
  if (this._data) {
    console.error(".field() can't be used if .send() is used. Please use only .send() or only .field() & .attach()");
  }
  if (isObject(name)) {
    for (var key in name) {
      this.field(key, name[key]);
    }
    return this;
  }
  if (Array.isArray(val)) {
    for (var i in val) {
      this.field(name, val[i]);
    }
    return this;
  }

  // val should be defined now
  if (null === val || undefined === val) {
    throw new Error('.field(name, val) val can not be empty');
  }
  if ('boolean' === typeof val) {
    val = '' + val;
  }
  this._getFormData().append(name, val);
  return this;
};

/**
 * Abort the request, and clear potential timeout.
 *
 * @return {Request}
 * @api public
 */
RequestBase.prototype.abort = function () {
  if (this._aborted) {
    return this;
  }
  this._aborted = true;
  this.xhr && this.xhr.abort(); // browser
  this.req && this.req.abort(); // node
  this.clearTimeout();
  this.emit('abort');
  return this;
};

/**
 * Enable transmission of cookies with x-domain requests.
 *
 * Note that for this to work the origin must not be
 * using "Access-Control-Allow-Origin" with a wildcard,
 * and also must set "Access-Control-Allow-Credentials"
 * to "true".
 *
 * @api public
 */

RequestBase.prototype.withCredentials = function (on) {
  // This is browser-only functionality. Node side is no-op.
  if (on == undefined) on = true;
  this._withCredentials = on;
  return this;
};

/**
 * Set the max redirects to `n`. Does noting in browser XHR implementation.
 *
 * @param {Number} n
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.redirects = function (n) {
  this._maxRedirects = n;
  return this;
};

/**
 * Maximum size of buffered response body, in bytes. Counts uncompressed size.
 * Default 200MB.
 *
 * @param {Number} n
 * @return {Request} for chaining
 */
RequestBase.prototype.maxResponseSize = function (n) {
  if ('number' !== typeof n) {
    throw TypeError("Invalid argument");
  }
  this._maxResponseSize = n;
  return this;
};

/**
 * Convert to a plain javascript object (not JSON string) of scalar properties.
 * Note as this method is designed to return a useful non-this value,
 * it cannot be chained.
 *
 * @return {Object} describing method, url, and data of this request
 * @api public
 */

RequestBase.prototype.toJSON = function () {
  return {
    method: this.method,
    url: this.url,
    data: this._data,
    headers: this._header
  };
};

/**
 * Send `data` as the request body, defaulting the `.type()` to "json" when
 * an object is given.
 *
 * Examples:
 *
 *       // manual json
 *       request.post('/user')
 *         .type('json')
 *         .send('{"name":"tj"}')
 *         .end(callback)
 *
 *       // auto json
 *       request.post('/user')
 *         .send({ name: 'tj' })
 *         .end(callback)
 *
 *       // manual x-www-form-urlencoded
 *       request.post('/user')
 *         .type('form')
 *         .send('name=tj')
 *         .end(callback)
 *
 *       // auto x-www-form-urlencoded
 *       request.post('/user')
 *         .type('form')
 *         .send({ name: 'tj' })
 *         .end(callback)
 *
 *       // defaults to x-www-form-urlencoded
 *      request.post('/user')
 *        .send('name=tobi')
 *        .send('species=ferret')
 *        .end(callback)
 *
 * @param {String|Object} data
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.send = function (data) {
  var isObj = isObject(data);
  var type = this._header['content-type'];
  if (this._formData) {
    console.error(".send() can't be used if .attach() or .field() is used. Please use only .send() or only .field() & .attach()");
  }
  if (isObj && !this._data) {
    if (Array.isArray(data)) {
      this._data = [];
    } else if (!this._isHost(data)) {
      this._data = {};
    }
  } else if (data && this._data && this._isHost(this._data)) {
    throw Error("Can't merge these send calls");
  }

  // merge
  if (isObj && isObject(this._data)) {
    for (var key in data) {
      this._data[key] = data[key];
    }
  } else if ('string' == typeof data) {
    // default to x-www-form-urlencoded
    if (!type) this.type('form');
    type = this._header['content-type'];
    if ('application/x-www-form-urlencoded' == type) {
      this._data = this._data ? this._data + '&' + data : data;
    } else {
      this._data = (this._data || '') + data;
    }
  } else {
    this._data = data;
  }
  if (!isObj || this._isHost(data)) {
    return this;
  }

  // default to json
  if (!type) this.type('json');
  return this;
};

/**
 * Sort `querystring` by the sort function
 *
 *
 * Examples:
 *
 *       // default order
 *       request.get('/user')
 *         .query('name=Nick')
 *         .query('search=Manny')
 *         .sortQuery()
 *         .end(callback)
 *
 *       // customized sort function
 *       request.get('/user')
 *         .query('name=Nick')
 *         .query('search=Manny')
 *         .sortQuery(function(a, b){
 *           return a.length - b.length;
 *         })
 *         .end(callback)
 *
 *
 * @param {Function} sort
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.sortQuery = function (sort) {
  // _sort default to true but otherwise can be a function or boolean
  this._sort = typeof sort === 'undefined' ? true : sort;
  return this;
};

/**
 * Compose querystring to append to req.url
 *
 * @api private
 */
RequestBase.prototype._finalizeQueryString = function () {
  var query = this._query.join('&');
  if (query) {
    this.url += (this.url.indexOf('?') >= 0 ? '&' : '?') + query;
  }
  this._query.length = 0; // Makes the call idempotent

  if (this._sort) {
    var index = this.url.indexOf('?');
    if (index >= 0) {
      var queryArr = this.url.substring(index + 1).split('&');
      if ('function' === typeof this._sort) {
        queryArr.sort(this._sort);
      } else {
        queryArr.sort();
      }
      this.url = this.url.substring(0, index) + '?' + queryArr.join('&');
    }
  }
};

// For backwards compat only
RequestBase.prototype._appendQueryString = function () {
  console.trace("Unsupported");
};

/**
 * Invoke callback with timeout error.
 *
 * @api private
 */

RequestBase.prototype._timeoutError = function (reason, timeout, errno) {
  if (this._aborted) {
    return;
  }
  var err = new Error(reason + timeout + 'ms exceeded');
  err.timeout = timeout;
  err.code = 'ECONNABORTED';
  err.errno = errno;
  this.timedout = true;
  this.abort();
  this.callback(err);
};
RequestBase.prototype._setTimeouts = function () {
  var self = this;

  // deadline
  if (this._timeout && !this._timer) {
    this._timer = setTimeout(function () {
      self._timeoutError('Timeout of ', self._timeout, 'ETIME');
    }, this._timeout);
  }
  // response timeout
  if (this._responseTimeout && !this._responseTimeoutTimer) {
    this._responseTimeoutTimer = setTimeout(function () {
      self._timeoutError('Response timeout of ', self._responseTimeout, 'ETIMEDOUT');
    }, this._responseTimeout);
  }
};

/***/ }),

/***/ "5530":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return _objectSpread2; });
/* harmony import */ var core_js_modules_es_symbol_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("a4d3");
/* harmony import */ var core_js_modules_es_symbol_js__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_symbol_js__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var core_js_modules_es_array_filter_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__("4de4");
/* harmony import */ var core_js_modules_es_array_filter_js__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_array_filter_js__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var core_js_modules_es_array_push_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__("14d9");
/* harmony import */ var core_js_modules_es_array_push_js__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_array_push_js__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var core_js_modules_es_object_get_own_property_descriptor_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__("e439");
/* harmony import */ var core_js_modules_es_object_get_own_property_descriptor_js__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_object_get_own_property_descriptor_js__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var core_js_modules_es_object_get_own_property_descriptors_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__("dbb4");
/* harmony import */ var core_js_modules_es_object_get_own_property_descriptors_js__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_object_get_own_property_descriptors_js__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var core_js_modules_es_object_keys_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__("b64b");
/* harmony import */ var core_js_modules_es_object_keys_js__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_object_keys_js__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var core_js_modules_es_object_to_string_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__("d3b7");
/* harmony import */ var core_js_modules_es_object_to_string_js__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_object_to_string_js__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var core_js_modules_web_dom_collections_for_each_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__("159b");
/* harmony import */ var core_js_modules_web_dom_collections_for_each_js__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_web_dom_collections_for_each_js__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var _defineProperty_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__("ade3");









function ownKeys(e, r) {
  var t = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var o = Object.getOwnPropertySymbols(e);
    r && (o = o.filter(function (r) {
      return Object.getOwnPropertyDescriptor(e, r).enumerable;
    })), t.push.apply(t, o);
  }
  return t;
}
function _objectSpread2(e) {
  for (var r = 1; r < arguments.length; r++) {
    var t = null != arguments[r] ? arguments[r] : {};
    r % 2 ? ownKeys(Object(t), !0).forEach(function (r) {
      Object(_defineProperty_js__WEBPACK_IMPORTED_MODULE_8__[/* default */ "a"])(e, r, t[r]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) {
      Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r));
    });
  }
  return e;
}


/***/ }),

/***/ "5684":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Return the mime type for the given `str`.
 *
 * @param {String} str
 * @return {String}
 * @api private
 */
__webpack_require__("fb6a");
__webpack_require__("d3b7");
__webpack_require__("ac1f");
__webpack_require__("1276");
exports.type = function (str) {
  return str.split(/ *; */).shift();
};

/**
 * Return header field parameters.
 *
 * @param {String} str
 * @return {Object}
 * @api private
 */

exports.params = function (str) {
  return str.split(/ *; */).reduce(function (obj, str) {
    var parts = str.split(/ *= */);
    var key = parts.shift();
    var val = parts.shift();
    if (key && val) obj[key] = val;
    return obj;
  }, {});
};

/**
 * Parse Link header fields.
 *
 * @param {String} str
 * @return {Object}
 * @api private
 */

exports.parseLinks = function (str) {
  return str.split(/ *, */).reduce(function (obj, str) {
    var parts = str.split(/ *; */);
    var url = parts[0].slice(1, -1);
    var rel = parts[1].split(/ *= */)[1].slice(1, -1);
    obj[rel] = url;
    return obj;
  }, {});
};

/**
 * Strip content related fields from `header`.
 *
 * @param {Object} header
 * @return {Object} header
 * @api private
 */

exports.cleanHeader = function (header, shouldStripCookie) {
  delete header['content-type'];
  delete header['content-length'];
  delete header['transfer-encoding'];
  delete header['host'];
  if (shouldStripCookie) {
    delete header['cookie'];
  }
  return header;
};

/***/ }),

/***/ "5a0c":
/***/ (function(module, exports, __webpack_require__) {

!function(t,e){ true?module.exports=e():undefined}(this,(function(){"use strict";var t=1e3,e=6e4,n=36e5,r="millisecond",i="second",s="minute",u="hour",a="day",o="week",c="month",f="quarter",h="year",d="date",l="Invalid Date",$=/^(\d{4})[-/]?(\d{1,2})?[-/]?(\d{0,2})[Tt\s]*(\d{1,2})?:?(\d{1,2})?:?(\d{1,2})?[.:]?(\d+)?$/,y=/\[([^\]]+)]|Y{1,4}|M{1,4}|D{1,2}|d{1,4}|H{1,2}|h{1,2}|a|A|m{1,2}|s{1,2}|Z{1,2}|SSS/g,M={name:"en",weekdays:"Sunday_Monday_Tuesday_Wednesday_Thursday_Friday_Saturday".split("_"),months:"January_February_March_April_May_June_July_August_September_October_November_December".split("_"),ordinal:function(t){var e=["th","st","nd","rd"],n=t%100;return"["+t+(e[(n-20)%10]||e[n]||e[0])+"]"}},m=function(t,e,n){var r=String(t);return!r||r.length>=e?t:""+Array(e+1-r.length).join(n)+t},v={s:m,z:function(t){var e=-t.utcOffset(),n=Math.abs(e),r=Math.floor(n/60),i=n%60;return(e<=0?"+":"-")+m(r,2,"0")+":"+m(i,2,"0")},m:function t(e,n){if(e.date()<n.date())return-t(n,e);var r=12*(n.year()-e.year())+(n.month()-e.month()),i=e.clone().add(r,c),s=n-i<0,u=e.clone().add(r+(s?-1:1),c);return+(-(r+(n-i)/(s?i-u:u-i))||0)},a:function(t){return t<0?Math.ceil(t)||0:Math.floor(t)},p:function(t){return{M:c,y:h,w:o,d:a,D:d,h:u,m:s,s:i,ms:r,Q:f}[t]||String(t||"").toLowerCase().replace(/s$/,"")},u:function(t){return void 0===t}},g="en",D={};D[g]=M;var p="$isDayjsObject",S=function(t){return t instanceof _||!(!t||!t[p])},w=function t(e,n,r){var i;if(!e)return g;if("string"==typeof e){var s=e.toLowerCase();D[s]&&(i=s),n&&(D[s]=n,i=s);var u=e.split("-");if(!i&&u.length>1)return t(u[0])}else{var a=e.name;D[a]=e,i=a}return!r&&i&&(g=i),i||!r&&g},O=function(t,e){if(S(t))return t.clone();var n="object"==typeof e?e:{};return n.date=t,n.args=arguments,new _(n)},b=v;b.l=w,b.i=S,b.w=function(t,e){return O(t,{locale:e.$L,utc:e.$u,x:e.$x,$offset:e.$offset})};var _=function(){function M(t){this.$L=w(t.locale,null,!0),this.parse(t),this.$x=this.$x||t.x||{},this[p]=!0}var m=M.prototype;return m.parse=function(t){this.$d=function(t){var e=t.date,n=t.utc;if(null===e)return new Date(NaN);if(b.u(e))return new Date;if(e instanceof Date)return new Date(e);if("string"==typeof e&&!/Z$/i.test(e)){var r=e.match($);if(r){var i=r[2]-1||0,s=(r[7]||"0").substring(0,3);return n?new Date(Date.UTC(r[1],i,r[3]||1,r[4]||0,r[5]||0,r[6]||0,s)):new Date(r[1],i,r[3]||1,r[4]||0,r[5]||0,r[6]||0,s)}}return new Date(e)}(t),this.init()},m.init=function(){var t=this.$d;this.$y=t.getFullYear(),this.$M=t.getMonth(),this.$D=t.getDate(),this.$W=t.getDay(),this.$H=t.getHours(),this.$m=t.getMinutes(),this.$s=t.getSeconds(),this.$ms=t.getMilliseconds()},m.$utils=function(){return b},m.isValid=function(){return!(this.$d.toString()===l)},m.isSame=function(t,e){var n=O(t);return this.startOf(e)<=n&&n<=this.endOf(e)},m.isAfter=function(t,e){return O(t)<this.startOf(e)},m.isBefore=function(t,e){return this.endOf(e)<O(t)},m.$g=function(t,e,n){return b.u(t)?this[e]:this.set(n,t)},m.unix=function(){return Math.floor(this.valueOf()/1e3)},m.valueOf=function(){return this.$d.getTime()},m.startOf=function(t,e){var n=this,r=!!b.u(e)||e,f=b.p(t),l=function(t,e){var i=b.w(n.$u?Date.UTC(n.$y,e,t):new Date(n.$y,e,t),n);return r?i:i.endOf(a)},$=function(t,e){return b.w(n.toDate()[t].apply(n.toDate("s"),(r?[0,0,0,0]:[23,59,59,999]).slice(e)),n)},y=this.$W,M=this.$M,m=this.$D,v="set"+(this.$u?"UTC":"");switch(f){case h:return r?l(1,0):l(31,11);case c:return r?l(1,M):l(0,M+1);case o:var g=this.$locale().weekStart||0,D=(y<g?y+7:y)-g;return l(r?m-D:m+(6-D),M);case a:case d:return $(v+"Hours",0);case u:return $(v+"Minutes",1);case s:return $(v+"Seconds",2);case i:return $(v+"Milliseconds",3);default:return this.clone()}},m.endOf=function(t){return this.startOf(t,!1)},m.$set=function(t,e){var n,o=b.p(t),f="set"+(this.$u?"UTC":""),l=(n={},n[a]=f+"Date",n[d]=f+"Date",n[c]=f+"Month",n[h]=f+"FullYear",n[u]=f+"Hours",n[s]=f+"Minutes",n[i]=f+"Seconds",n[r]=f+"Milliseconds",n)[o],$=o===a?this.$D+(e-this.$W):e;if(o===c||o===h){var y=this.clone().set(d,1);y.$d[l]($),y.init(),this.$d=y.set(d,Math.min(this.$D,y.daysInMonth())).$d}else l&&this.$d[l]($);return this.init(),this},m.set=function(t,e){return this.clone().$set(t,e)},m.get=function(t){return this[b.p(t)]()},m.add=function(r,f){var d,l=this;r=Number(r);var $=b.p(f),y=function(t){var e=O(l);return b.w(e.date(e.date()+Math.round(t*r)),l)};if($===c)return this.set(c,this.$M+r);if($===h)return this.set(h,this.$y+r);if($===a)return y(1);if($===o)return y(7);var M=(d={},d[s]=e,d[u]=n,d[i]=t,d)[$]||1,m=this.$d.getTime()+r*M;return b.w(m,this)},m.subtract=function(t,e){return this.add(-1*t,e)},m.format=function(t){var e=this,n=this.$locale();if(!this.isValid())return n.invalidDate||l;var r=t||"YYYY-MM-DDTHH:mm:ssZ",i=b.z(this),s=this.$H,u=this.$m,a=this.$M,o=n.weekdays,c=n.months,f=n.meridiem,h=function(t,n,i,s){return t&&(t[n]||t(e,r))||i[n].slice(0,s)},d=function(t){return b.s(s%12||12,t,"0")},$=f||function(t,e,n){var r=t<12?"AM":"PM";return n?r.toLowerCase():r};return r.replace(y,(function(t,r){return r||function(t){switch(t){case"YY":return String(e.$y).slice(-2);case"YYYY":return b.s(e.$y,4,"0");case"M":return a+1;case"MM":return b.s(a+1,2,"0");case"MMM":return h(n.monthsShort,a,c,3);case"MMMM":return h(c,a);case"D":return e.$D;case"DD":return b.s(e.$D,2,"0");case"d":return String(e.$W);case"dd":return h(n.weekdaysMin,e.$W,o,2);case"ddd":return h(n.weekdaysShort,e.$W,o,3);case"dddd":return o[e.$W];case"H":return String(s);case"HH":return b.s(s,2,"0");case"h":return d(1);case"hh":return d(2);case"a":return $(s,u,!0);case"A":return $(s,u,!1);case"m":return String(u);case"mm":return b.s(u,2,"0");case"s":return String(e.$s);case"ss":return b.s(e.$s,2,"0");case"SSS":return b.s(e.$ms,3,"0");case"Z":return i}return null}(t)||i.replace(":","")}))},m.utcOffset=function(){return 15*-Math.round(this.$d.getTimezoneOffset()/15)},m.diff=function(r,d,l){var $,y=this,M=b.p(d),m=O(r),v=(m.utcOffset()-this.utcOffset())*e,g=this-m,D=function(){return b.m(y,m)};switch(M){case h:$=D()/12;break;case c:$=D();break;case f:$=D()/3;break;case o:$=(g-v)/6048e5;break;case a:$=(g-v)/864e5;break;case u:$=g/n;break;case s:$=g/e;break;case i:$=g/t;break;default:$=g}return l?$:b.a($)},m.daysInMonth=function(){return this.endOf(c).$D},m.$locale=function(){return D[this.$L]},m.locale=function(t,e){if(!t)return this.$L;var n=this.clone(),r=w(t,e,!0);return r&&(n.$L=r),n},m.clone=function(){return b.w(this.$d,this)},m.toDate=function(){return new Date(this.valueOf())},m.toJSON=function(){return this.isValid()?this.toISOString():null},m.toISOString=function(){return this.$d.toISOString()},m.toString=function(){return this.$d.toUTCString()},M}(),k=_.prototype;return O.prototype=k,[["$ms",r],["$s",i],["$m",s],["$H",u],["$W",a],["$M",c],["$y",h],["$D",d]].forEach((function(t){k[t[1]]=function(e){return this.$g(e,t[0],t[1])}})),O.extend=function(t,e){return t.$i||(t(e,_,O),t.$i=!0),O},O.locale=w,O.isDayjs=S,O.unix=function(t){return O(1e3*t)},O.en=D[g],O.Ls=D,O.p={},O}));

/***/ }),

/***/ "6f53":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var DESCRIPTORS = __webpack_require__("83ab");
var fails = __webpack_require__("d039");
var uncurryThis = __webpack_require__("e330");
var objectGetPrototypeOf = __webpack_require__("e163");
var objectKeys = __webpack_require__("df75");
var toIndexedObject = __webpack_require__("fc6a");
var $propertyIsEnumerable = __webpack_require__("d1e7").f;

var propertyIsEnumerable = uncurryThis($propertyIsEnumerable);
var push = uncurryThis([].push);

// in some IE versions, `propertyIsEnumerable` returns incorrect result on integer keys
// of `null` prototype objects
var IE_BUG = DESCRIPTORS && fails(function () {
  // eslint-disable-next-line es/no-object-create -- safe
  var O = Object.create(null);
  O[2] = 2;
  return !propertyIsEnumerable(O, 2);
});

// `Object.{ entries, values }` methods implementation
var createMethod = function (TO_ENTRIES) {
  return function (it) {
    var O = toIndexedObject(it);
    var keys = objectKeys(O);
    var IE_WORKAROUND = IE_BUG && objectGetPrototypeOf(O) === null;
    var length = keys.length;
    var i = 0;
    var result = [];
    var key;
    while (length > i) {
      key = keys[i++];
      if (!DESCRIPTORS || (IE_WORKAROUND ? key in O : propertyIsEnumerable(O, key))) {
        push(result, TO_ENTRIES ? [key, O[key]] : O[key]);
      }
    }
    return result;
  };
};

module.exports = {
  // `Object.entries` method
  // https://tc39.es/ecma262/#sec-object.entries
  entries: createMethod(true),
  // `Object.values` method
  // https://tc39.es/ecma262/#sec-object.values
  values: createMethod(false)
};


/***/ }),

/***/ "857a":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var uncurryThis = __webpack_require__("e330");
var requireObjectCoercible = __webpack_require__("1d80");
var toString = __webpack_require__("577e");

var quot = /"/g;
var replace = uncurryThis(''.replace);

// `CreateHTML` abstract operation
// https://tc39.es/ecma262/#sec-createhtml
module.exports = function (string, tag, attribute, value) {
  var S = toString(requireObjectCoercible(string));
  var p1 = '<' + tag;
  if (attribute !== '') p1 += ' ' + attribute + '="' + replace(toString(value), quot, '&quot;') + '"';
  return p1 + '>' + S + '</' + tag + '>';
};


/***/ }),

/***/ "8bd4":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var getBuiltIn = __webpack_require__("d066");
var setToStringTag = __webpack_require__("d44e");

var DOM_EXCEPTION = 'DOMException';

// `DOMException.prototype[@@toStringTag]` property
setToStringTag(getBuiltIn(DOM_EXCEPTION), DOM_EXCEPTION);


/***/ }),

/***/ "9911":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var $ = __webpack_require__("23e7");
var createHTML = __webpack_require__("857a");
var forcedStringHTMLMethod = __webpack_require__("af03");

// `String.prototype.link` method
// https://tc39.es/ecma262/#sec-string.prototype.link
$({ target: 'String', proto: true, forced: forcedStringHTMLMethod('link') }, {
  link: function link(url) {
    return createHTML(this, 'a', 'href', url);
  }
});


/***/ }),

/***/ "99f4":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var UA = __webpack_require__("b5db");

module.exports = /MSIE|Trident/.test(UA);


/***/ }),

/***/ "a8d6":
/***/ (function(module, exports, __webpack_require__) {

var _typeof = __webpack_require__("7037").default;
__webpack_require__("d9e2");
__webpack_require__("a15b");
__webpack_require__("14d9");
__webpack_require__("fb6a");
__webpack_require__("b0c0");
__webpack_require__("e9c4");
__webpack_require__("b64b");
__webpack_require__("d3b7");
__webpack_require__("ac1f");
__webpack_require__("00b4");
__webpack_require__("25f0");
__webpack_require__("5319");
__webpack_require__("1276");
__webpack_require__("498a");
__webpack_require__("313d");
__webpack_require__("159b");
__webpack_require__("0eb6");
__webpack_require__("b7ef");
__webpack_require__("8bd4");
__webpack_require__("c73d");
/**
 * Root reference for iframes.
 */

var root;
if (typeof window !== 'undefined') {
  // Browser window
  root = window;
} else if (typeof self !== 'undefined') {
  // Web Worker
  root = self;
} else {
  // Other environments
  console.warn("Using browser-only version of superagent in non-browser environment");
  root = this;
}
var Emitter = __webpack_require__("7297");
var RequestBase = __webpack_require__("51dd");
var isObject = __webpack_require__("f049");
var ResponseBase = __webpack_require__("ec2b");
var shouldRetry = __webpack_require__("1014");

/**
 * Noop.
 */

function noop() {}
;

/**
 * Expose `request`.
 */

var request = exports = module.exports = function (method, url) {
  // callback
  if ('function' == typeof url) {
    return new exports.Request('GET', method).end(url);
  }

  // url first
  if (1 == arguments.length) {
    return new exports.Request('GET', method);
  }
  return new exports.Request(method, url);
};
exports.Request = Request;

/**
 * Determine XHR.
 */

request.getXHR = function () {
  if (root.XMLHttpRequest && (!root.location || 'file:' != root.location.protocol || !root.ActiveXObject)) {
    return new XMLHttpRequest();
  } else {
    try {
      return new ActiveXObject('Microsoft.XMLHTTP');
    } catch (e) {}
    try {
      return new ActiveXObject('Msxml2.XMLHTTP.6.0');
    } catch (e) {}
    try {
      return new ActiveXObject('Msxml2.XMLHTTP.3.0');
    } catch (e) {}
    try {
      return new ActiveXObject('Msxml2.XMLHTTP');
    } catch (e) {}
  }
  throw Error("Browser-only version of superagent could not find XHR");
};

/**
 * Removes leading and trailing whitespace, added to support IE.
 *
 * @param {String} s
 * @return {String}
 * @api private
 */

var trim = ''.trim ? function (s) {
  return s.trim();
} : function (s) {
  return s.replace(/(^\s*|\s*$)/g, '');
};

/**
 * Serialize the given `obj`.
 *
 * @param {Object} obj
 * @return {String}
 * @api private
 */

function serialize(obj) {
  if (!isObject(obj)) return obj;
  var pairs = [];
  for (var key in obj) {
    pushEncodedKeyValuePair(pairs, key, obj[key]);
  }
  return pairs.join('&');
}

/**
 * Helps 'serialize' with serializing arrays.
 * Mutates the pairs array.
 *
 * @param {Array} pairs
 * @param {String} key
 * @param {Mixed} val
 */

function pushEncodedKeyValuePair(pairs, key, val) {
  if (val != null) {
    if (Array.isArray(val)) {
      val.forEach(function (v) {
        pushEncodedKeyValuePair(pairs, key, v);
      });
    } else if (isObject(val)) {
      for (var subkey in val) {
        pushEncodedKeyValuePair(pairs, key + '[' + subkey + ']', val[subkey]);
      }
    } else {
      pairs.push(encodeURIComponent(key) + '=' + encodeURIComponent(val));
    }
  } else if (val === null) {
    pairs.push(encodeURIComponent(key));
  }
}

/**
 * Expose serialization method.
 */

request.serializeObject = serialize;

/**
 * Parse the given x-www-form-urlencoded `str`.
 *
 * @param {String} str
 * @return {Object}
 * @api private
 */

function parseString(str) {
  var obj = {};
  var pairs = str.split('&');
  var pair;
  var pos;
  for (var i = 0, len = pairs.length; i < len; ++i) {
    pair = pairs[i];
    pos = pair.indexOf('=');
    if (pos == -1) {
      obj[decodeURIComponent(pair)] = '';
    } else {
      obj[decodeURIComponent(pair.slice(0, pos))] = decodeURIComponent(pair.slice(pos + 1));
    }
  }
  return obj;
}

/**
 * Expose parser.
 */

request.parseString = parseString;

/**
 * Default MIME type map.
 *
 *     superagent.types.xml = 'application/xml';
 *
 */

request.types = {
  html: 'text/html',
  json: 'application/json',
  xml: 'text/xml',
  urlencoded: 'application/x-www-form-urlencoded',
  'form': 'application/x-www-form-urlencoded',
  'form-data': 'application/x-www-form-urlencoded'
};

/**
 * Default serialization map.
 *
 *     superagent.serialize['application/xml'] = function(obj){
 *       return 'generated xml here';
 *     };
 *
 */

request.serialize = {
  'application/x-www-form-urlencoded': serialize,
  'application/json': JSON.stringify
};

/**
 * Default parsers.
 *
 *     superagent.parse['application/xml'] = function(str){
 *       return { object parsed from str };
 *     };
 *
 */

request.parse = {
  'application/x-www-form-urlencoded': parseString,
  'application/json': JSON.parse
};

/**
 * Parse the given header `str` into
 * an object containing the mapped fields.
 *
 * @param {String} str
 * @return {Object}
 * @api private
 */

function parseHeader(str) {
  var lines = str.split(/\r?\n/);
  var fields = {};
  var index;
  var line;
  var field;
  var val;
  for (var i = 0, len = lines.length; i < len; ++i) {
    line = lines[i];
    index = line.indexOf(':');
    if (index === -1) {
      // could be empty line, just skip it
      continue;
    }
    field = line.slice(0, index).toLowerCase();
    val = trim(line.slice(index + 1));
    fields[field] = val;
  }
  return fields;
}

/**
 * Check if `mime` is json or has +json structured syntax suffix.
 *
 * @param {String} mime
 * @return {Boolean}
 * @api private
 */

function isJSON(mime) {
  return /[\/+]json\b/.test(mime);
}

/**
 * Initialize a new `Response` with the given `xhr`.
 *
 *  - set flags (.ok, .error, etc)
 *  - parse header
 *
 * Examples:
 *
 *  Aliasing `superagent` as `request` is nice:
 *
 *      request = superagent;
 *
 *  We can use the promise-like API, or pass callbacks:
 *
 *      request.get('/').end(function(res){});
 *      request.get('/', function(res){});
 *
 *  Sending data can be chained:
 *
 *      request
 *        .post('/user')
 *        .send({ name: 'tj' })
 *        .end(function(res){});
 *
 *  Or passed to `.send()`:
 *
 *      request
 *        .post('/user')
 *        .send({ name: 'tj' }, function(res){});
 *
 *  Or passed to `.post()`:
 *
 *      request
 *        .post('/user', { name: 'tj' })
 *        .end(function(res){});
 *
 * Or further reduced to a single call for simple cases:
 *
 *      request
 *        .post('/user', { name: 'tj' }, function(res){});
 *
 * @param {XMLHTTPRequest} xhr
 * @param {Object} options
 * @api private
 */

function Response(req) {
  this.req = req;
  this.xhr = this.req.xhr;
  // responseText is accessible only if responseType is '' or 'text' and on older browsers
  this.text = this.req.method != 'HEAD' && (this.xhr.responseType === '' || this.xhr.responseType === 'text') || typeof this.xhr.responseType === 'undefined' ? this.xhr.responseText : null;
  this.statusText = this.req.xhr.statusText;
  var status = this.xhr.status;
  // handle IE9 bug: http://stackoverflow.com/questions/10046972/msie-returns-status-code-of-1223-for-ajax-request
  if (status === 1223) {
    status = 204;
  }
  this._setStatusProperties(status);
  this.header = this.headers = parseHeader(this.xhr.getAllResponseHeaders());
  // getAllResponseHeaders sometimes falsely returns "" for CORS requests, but
  // getResponseHeader still works. so we get content-type even if getting
  // other headers fails.
  this.header['content-type'] = this.xhr.getResponseHeader('content-type');
  this._setHeaderProperties(this.header);
  if (null === this.text && req._responseType) {
    this.body = this.xhr.response;
  } else {
    this.body = this.req.method != 'HEAD' ? this._parseBody(this.text ? this.text : this.xhr.response) : null;
  }
}
ResponseBase(Response.prototype);

/**
 * Parse the given body `str`.
 *
 * Used for auto-parsing of bodies. Parsers
 * are defined on the `superagent.parse` object.
 *
 * @param {String} str
 * @return {Mixed}
 * @api private
 */

Response.prototype._parseBody = function (str) {
  var parse = request.parse[this.type];
  if (this.req._parser) {
    return this.req._parser(this, str);
  }
  if (!parse && isJSON(this.type)) {
    parse = request.parse['application/json'];
  }
  return parse && str && (str.length || str instanceof Object) ? parse(str) : null;
};

/**
 * Return an `Error` representative of this response.
 *
 * @return {Error}
 * @api public
 */

Response.prototype.toError = function () {
  var req = this.req;
  var method = req.method;
  var url = req.url;
  var msg = 'cannot ' + method + ' ' + url + ' (' + this.status + ')';
  var err = new Error(msg);
  err.status = this.status;
  err.method = method;
  err.url = url;
  return err;
};

/**
 * Expose `Response`.
 */

request.Response = Response;

/**
 * Initialize a new `Request` with the given `method` and `url`.
 *
 * @param {String} method
 * @param {String} url
 * @api public
 */

function Request(method, url) {
  var self = this;
  this._query = this._query || [];
  this.method = method;
  this.url = url;
  this.header = {}; // preserves header name case
  this._header = {}; // coerces header names to lowercase
  this.on('end', function () {
    var err = null;
    var res = null;
    try {
      res = new Response(self);
    } catch (e) {
      err = new Error('Parser is unable to parse the response');
      err.parse = true;
      err.original = e;
      // issue #675: return the raw response if the response parsing fails
      if (self.xhr) {
        // ie9 doesn't have 'response' property
        err.rawResponse = typeof self.xhr.responseType == 'undefined' ? self.xhr.responseText : self.xhr.response;
        // issue #876: return the http status code if the response parsing fails
        err.status = self.xhr.status ? self.xhr.status : null;
        err.statusCode = err.status; // backwards-compat only
      } else {
        err.rawResponse = null;
        err.status = null;
      }
      return self.callback(err);
    }
    self.emit('response', res);
    var new_err;
    try {
      if (!self._isResponseOK(res)) {
        new_err = new Error(res.statusText || 'Unsuccessful HTTP response');
      }
    } catch (custom_err) {
      new_err = custom_err; // ok() callback can throw
    }

    // #1000 don't catch errors from the callback to avoid double calling it
    if (new_err) {
      new_err.original = err;
      new_err.response = res;
      new_err.status = res.status;
      self.callback(new_err, res);
    } else {
      self.callback(null, res);
    }
  });
}

/**
 * Mixin `Emitter` and `RequestBase`.
 */

Emitter(Request.prototype);
RequestBase(Request.prototype);

/**
 * Set Content-Type to `type`, mapping values from `request.types`.
 *
 * Examples:
 *
 *      superagent.types.xml = 'application/xml';
 *
 *      request.post('/')
 *        .type('xml')
 *        .send(xmlstring)
 *        .end(callback);
 *
 *      request.post('/')
 *        .type('application/xml')
 *        .send(xmlstring)
 *        .end(callback);
 *
 * @param {String} type
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.type = function (type) {
  this.set('Content-Type', request.types[type] || type);
  return this;
};

/**
 * Set Accept to `type`, mapping values from `request.types`.
 *
 * Examples:
 *
 *      superagent.types.json = 'application/json';
 *
 *      request.get('/agent')
 *        .accept('json')
 *        .end(callback);
 *
 *      request.get('/agent')
 *        .accept('application/json')
 *        .end(callback);
 *
 * @param {String} accept
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.accept = function (type) {
  this.set('Accept', request.types[type] || type);
  return this;
};

/**
 * Set Authorization field value with `user` and `pass`.
 *
 * @param {String} user
 * @param {String} [pass] optional in case of using 'bearer' as type
 * @param {Object} options with 'type' property 'auto', 'basic' or 'bearer' (default 'basic')
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.auth = function (user, pass, options) {
  if (_typeof(pass) === 'object' && pass !== null) {
    // pass is optional and can substitute for options
    options = pass;
  }
  if (!options) {
    options = {
      type: 'function' === typeof btoa ? 'basic' : 'auto'
    };
  }
  switch (options.type) {
    case 'basic':
      this.set('Authorization', 'Basic ' + btoa(user + ':' + pass));
      break;
    case 'auto':
      this.username = user;
      this.password = pass;
      break;
    case 'bearer':
      // usage would be .auth(accessToken, { type: 'bearer' })
      this.set('Authorization', 'Bearer ' + user);
      break;
  }
  return this;
};

/**
 * Add query-string `val`.
 *
 * Examples:
 *
 *   request.get('/shoes')
 *     .query('size=10')
 *     .query({ color: 'blue' })
 *
 * @param {Object|String} val
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.query = function (val) {
  if ('string' != typeof val) val = serialize(val);
  if (val) this._query.push(val);
  return this;
};

/**
 * Queue the given `file` as an attachment to the specified `field`,
 * with optional `options` (or filename).
 *
 * ``` js
 * request.post('/upload')
 *   .attach('content', new Blob(['<a id="a"><b id="b">hey!</b></a>'], { type: "text/html"}))
 *   .end(callback);
 * ```
 *
 * @param {String} field
 * @param {Blob|File} file
 * @param {String|Object} options
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.attach = function (field, file, options) {
  if (file) {
    if (this._data) {
      throw Error("superagent can't mix .send() and .attach()");
    }
    this._getFormData().append(field, file, options || file.name);
  }
  return this;
};
Request.prototype._getFormData = function () {
  if (!this._formData) {
    this._formData = new root.FormData();
  }
  return this._formData;
};

/**
 * Invoke the callback with `err` and `res`
 * and handle arity check.
 *
 * @param {Error} err
 * @param {Response} res
 * @api private
 */

Request.prototype.callback = function (err, res) {
  // console.log(this._retries, this._maxRetries)
  if (this._maxRetries && this._retries++ < this._maxRetries && shouldRetry(err, res)) {
    return this._retry();
  }
  var fn = this._callback;
  this.clearTimeout();
  if (err) {
    if (this._maxRetries) err.retries = this._retries - 1;
    this.emit('error', err);
  }
  fn(err, res);
};

/**
 * Invoke callback with x-domain error.
 *
 * @api private
 */

Request.prototype.crossDomainError = function () {
  var err = new Error('Request has been terminated\nPossible causes: the network is offline, Origin is not allowed by Access-Control-Allow-Origin, the page is being unloaded, etc.');
  err.crossDomain = true;
  err.status = this.status;
  err.method = this.method;
  err.url = this.url;
  this.callback(err);
};

// This only warns, because the request is still likely to work
Request.prototype.buffer = Request.prototype.ca = Request.prototype.agent = function () {
  console.warn("This is not supported in browser version of superagent");
  return this;
};

// This throws, because it can't send/receive data as expected
Request.prototype.pipe = Request.prototype.write = function () {
  throw Error("Streaming is not supported in browser version of superagent");
};

/**
 * Check if `obj` is a host object,
 * we don't want to serialize these :)
 *
 * @param {Object} obj
 * @return {Boolean}
 * @api private
 */
Request.prototype._isHost = function _isHost(obj) {
  // Native objects stringify to [object File], [object Blob], [object FormData], etc.
  return obj && 'object' === _typeof(obj) && !Array.isArray(obj) && Object.prototype.toString.call(obj) !== '[object Object]';
};

/**
 * Initiate request, invoking callback `fn(res)`
 * with an instanceof `Response`.
 *
 * @param {Function} fn
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.end = function (fn) {
  if (this._endCalled) {
    console.warn("Warning: .end() was called twice. This is not supported in superagent");
  }
  this._endCalled = true;

  // store callback
  this._callback = fn || noop;

  // querystring
  this._finalizeQueryString();
  return this._end();
};
Request.prototype._end = function () {
  var self = this;
  var xhr = this.xhr = request.getXHR();
  var data = this._formData || this._data;
  this._setTimeouts();

  // state change
  xhr.onreadystatechange = function () {
    var readyState = xhr.readyState;
    if (readyState >= 2 && self._responseTimeoutTimer) {
      clearTimeout(self._responseTimeoutTimer);
    }
    if (4 != readyState) {
      return;
    }

    // In IE9, reads to any property (e.g. status) off of an aborted XHR will
    // result in the error "Could not complete the operation due to error c00c023f"
    var status;
    try {
      status = xhr.status;
    } catch (e) {
      status = 0;
    }
    if (!status) {
      if (self.timedout || self._aborted) return;
      return self.crossDomainError();
    }
    self.emit('end');
  };

  // progress
  var handleProgress = function handleProgress(direction, e) {
    if (e.total > 0) {
      e.percent = e.loaded / e.total * 100;
    }
    e.direction = direction;
    self.emit('progress', e);
  };
  if (this.hasListeners('progress')) {
    try {
      xhr.onprogress = handleProgress.bind(null, 'download');
      if (xhr.upload) {
        xhr.upload.onprogress = handleProgress.bind(null, 'upload');
      }
    } catch (e) {
      // Accessing xhr.upload fails in IE from a web worker, so just pretend it doesn't exist.
      // Reported here:
      // https://connect.microsoft.com/IE/feedback/details/837245/xmlhttprequest-upload-throws-invalid-argument-when-used-from-web-worker-context
    }
  }

  // initiate request
  try {
    if (this.username && this.password) {
      xhr.open(this.method, this.url, true, this.username, this.password);
    } else {
      xhr.open(this.method, this.url, true);
    }
  } catch (err) {
    // see #1149
    return this.callback(err);
  }

  // CORS
  if (this._withCredentials) xhr.withCredentials = true;

  // body
  if (!this._formData && 'GET' != this.method && 'HEAD' != this.method && 'string' != typeof data && !this._isHost(data)) {
    // serialize stuff
    var contentType = this._header['content-type'];
    var serialize = this._serializer || request.serialize[contentType ? contentType.split(';')[0] : ''];
    if (!serialize && isJSON(contentType)) {
      serialize = request.serialize['application/json'];
    }
    if (serialize) data = serialize(data);
  }

  // set header fields
  for (var field in this.header) {
    if (null == this.header[field]) continue;
    if (this.header.hasOwnProperty(field)) xhr.setRequestHeader(field, this.header[field]);
  }
  if (this._responseType) {
    xhr.responseType = this._responseType;
  }

  // send stuff
  this.emit('request', this);

  // IE11 xhr.send(undefined) sends 'undefined' string as POST payload (instead of nothing)
  // We need null here if data is undefined
  xhr.send(typeof data !== 'undefined' ? data : null);
  return this;
};

/**
 * GET `url` with optional callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed|Function} [data] or fn
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.get = function (url, data, fn) {
  var req = request('GET', url);
  if ('function' == typeof data) fn = data, data = null;
  if (data) req.query(data);
  if (fn) req.end(fn);
  return req;
};

/**
 * HEAD `url` with optional callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed|Function} [data] or fn
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.head = function (url, data, fn) {
  var req = request('HEAD', url);
  if ('function' == typeof data) fn = data, data = null;
  if (data) req.query(data);
  if (fn) req.end(fn);
  return req;
};

/**
 * OPTIONS query to `url` with optional callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed|Function} [data] or fn
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.options = function (url, data, fn) {
  var req = request('OPTIONS', url);
  if ('function' == typeof data) fn = data, data = null;
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
};

/**
 * DELETE `url` with optional `data` and callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed} [data]
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

function del(url, data, fn) {
  var req = request('DELETE', url);
  if ('function' == typeof data) fn = data, data = null;
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
}
;
request['del'] = del;
request['delete'] = del;

/**
 * PATCH `url` with optional `data` and callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed} [data]
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.patch = function (url, data, fn) {
  var req = request('PATCH', url);
  if ('function' == typeof data) fn = data, data = null;
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
};

/**
 * POST `url` with optional `data` and callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed} [data]
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.post = function (url, data, fn) {
  var req = request('POST', url);
  if ('function' == typeof data) fn = data, data = null;
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
};

/**
 * PUT `url` with optional `data` and callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed|Function} [data] or fn
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.put = function (url, data, fn) {
  var req = request('PUT', url);
  if ('function' == typeof data) fn = data, data = null;
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
};

/***/ }),

/***/ "aa1f":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var DESCRIPTORS = __webpack_require__("83ab");
var fails = __webpack_require__("d039");
var anObject = __webpack_require__("825a");
var normalizeStringArgument = __webpack_require__("e391");

var nativeErrorToString = Error.prototype.toString;

var INCORRECT_TO_STRING = fails(function () {
  if (DESCRIPTORS) {
    // Chrome 32- incorrectly call accessor
    // eslint-disable-next-line es/no-object-create, es/no-object-defineproperty -- safe
    var object = Object.create(Object.defineProperty({}, 'name', { get: function () {
      return this === object;
    } }));
    if (nativeErrorToString.call(object) !== 'true') return true;
  }
  // FF10- does not properly handle non-strings
  return nativeErrorToString.call({ message: 1, name: 2 }) !== '2: 1'
    // IE8 does not properly handle defaults
    || nativeErrorToString.call({}) !== 'Error';
});

module.exports = INCORRECT_TO_STRING ? function toString() {
  var O = anObject(this);
  var name = normalizeStringArgument(O.name, 'Error');
  var message = normalizeStringArgument(O.message);
  return !name ? message : !message ? name : name + ': ' + message;
} : nativeErrorToString;


/***/ }),

/***/ "addb":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var arraySlice = __webpack_require__("f36a");

var floor = Math.floor;

var sort = function (array, comparefn) {
  var length = array.length;

  if (length < 8) {
    // insertion sort
    var i = 1;
    var element, j;

    while (i < length) {
      j = i;
      element = array[i];
      while (j && comparefn(array[j - 1], element) > 0) {
        array[j] = array[--j];
      }
      if (j !== i++) array[j] = element;
    }
  } else {
    // merge sort
    var middle = floor(length / 2);
    var left = sort(arraySlice(array, 0, middle), comparefn);
    var right = sort(arraySlice(array, middle), comparefn);
    var llength = left.length;
    var rlength = right.length;
    var lindex = 0;
    var rindex = 0;

    while (lindex < llength || rindex < rlength) {
      array[lindex + rindex] = (lindex < llength && rindex < rlength)
        ? comparefn(left[lindex], right[rindex]) <= 0 ? left[lindex++] : right[rindex++]
        : lindex < llength ? left[lindex++] : right[rindex++];
    }
  }

  return array;
};

module.exports = sort;


/***/ }),

/***/ "af03":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var fails = __webpack_require__("d039");

// check the existence of a method, lowercase
// of a tag and escaping quotes in arguments
module.exports = function (METHOD_NAME) {
  return fails(function () {
    var test = ''[METHOD_NAME]('"');
    return test !== test.toLowerCase() || test.split('"').length > 3;
  });
};


/***/ }),

/***/ "b7ef":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var $ = __webpack_require__("23e7");
var globalThis = __webpack_require__("cfe9");
var getBuiltIn = __webpack_require__("d066");
var createPropertyDescriptor = __webpack_require__("5c6c");
var defineProperty = __webpack_require__("9bf2").f;
var hasOwn = __webpack_require__("1a2d");
var anInstance = __webpack_require__("19aa");
var inheritIfRequired = __webpack_require__("7156");
var normalizeStringArgument = __webpack_require__("e391");
var DOMExceptionConstants = __webpack_require__("cf98");
var clearErrorStack = __webpack_require__("0d26");
var DESCRIPTORS = __webpack_require__("83ab");
var IS_PURE = __webpack_require__("c430");

var DOM_EXCEPTION = 'DOMException';
var Error = getBuiltIn('Error');
var NativeDOMException = getBuiltIn(DOM_EXCEPTION);

var $DOMException = function DOMException() {
  anInstance(this, DOMExceptionPrototype);
  var argumentsLength = arguments.length;
  var message = normalizeStringArgument(argumentsLength < 1 ? undefined : arguments[0]);
  var name = normalizeStringArgument(argumentsLength < 2 ? undefined : arguments[1], 'Error');
  var that = new NativeDOMException(message, name);
  var error = new Error(message);
  error.name = DOM_EXCEPTION;
  defineProperty(that, 'stack', createPropertyDescriptor(1, clearErrorStack(error.stack, 1)));
  inheritIfRequired(that, this, $DOMException);
  return that;
};

var DOMExceptionPrototype = $DOMException.prototype = NativeDOMException.prototype;

var ERROR_HAS_STACK = 'stack' in new Error(DOM_EXCEPTION);
var DOM_EXCEPTION_HAS_STACK = 'stack' in new NativeDOMException(1, 2);

// eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
var descriptor = NativeDOMException && DESCRIPTORS && Object.getOwnPropertyDescriptor(globalThis, DOM_EXCEPTION);

// Bun ~ 0.1.1 DOMException have incorrect descriptor and we can't redefine it
// https://github.com/Jarred-Sumner/bun/issues/399
var BUGGY_DESCRIPTOR = !!descriptor && !(descriptor.writable && descriptor.configurable);

var FORCED_CONSTRUCTOR = ERROR_HAS_STACK && !BUGGY_DESCRIPTOR && !DOM_EXCEPTION_HAS_STACK;

// `DOMException` constructor patch for `.stack` where it's required
// https://webidl.spec.whatwg.org/#es-DOMException-specialness
$({ global: true, constructor: true, forced: IS_PURE || FORCED_CONSTRUCTOR }, { // TODO: fix export logic
  DOMException: FORCED_CONSTRUCTOR ? $DOMException : NativeDOMException
});

var PolyfilledDOMException = getBuiltIn(DOM_EXCEPTION);
var PolyfilledDOMExceptionPrototype = PolyfilledDOMException.prototype;

if (PolyfilledDOMExceptionPrototype.constructor !== PolyfilledDOMException) {
  if (!IS_PURE) {
    defineProperty(PolyfilledDOMExceptionPrototype, 'constructor', createPropertyDescriptor(1, PolyfilledDOMException));
  }

  for (var key in DOMExceptionConstants) if (hasOwn(DOMExceptionConstants, key)) {
    var constant = DOMExceptionConstants[key];
    var constantName = constant.s;
    if (!hasOwn(PolyfilledDOMException, constantName)) {
      defineProperty(PolyfilledDOMException, constantName, createPropertyDescriptor(6, constant.c));
    }
  }
}


/***/ }),

/***/ "b917":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var commonAlphabet = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
var base64Alphabet = commonAlphabet + '+/';
var base64UrlAlphabet = commonAlphabet + '-_';

var inverse = function (characters) {
  // TODO: use `Object.create(null)` in `core-js@4`
  var result = {};
  var index = 0;
  for (; index < 64; index++) result[characters.charAt(index)] = index;
  return result;
};

module.exports = {
  i2c: base64Alphabet,
  c2i: inverse(base64Alphabet),
  i2cUrl: base64UrlAlphabet,
  c2iUrl: inverse(base64UrlAlphabet)
};


/***/ }),

/***/ "c1f9":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var $ = __webpack_require__("23e7");
var iterate = __webpack_require__("2266");
var createProperty = __webpack_require__("8418");

// `Object.fromEntries` method
// https://github.com/tc39/proposal-object-from-entries
$({ target: 'Object', stat: true }, {
  fromEntries: function fromEntries(iterable) {
    var obj = {};
    iterate(iterable, function (k, v) {
      createProperty(obj, k, v);
    }, { AS_ENTRIES: true });
    return obj;
  }
});


/***/ }),

/***/ "cf98":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

module.exports = {
  IndexSizeError: { s: 'INDEX_SIZE_ERR', c: 1, m: 1 },
  DOMStringSizeError: { s: 'DOMSTRING_SIZE_ERR', c: 2, m: 0 },
  HierarchyRequestError: { s: 'HIERARCHY_REQUEST_ERR', c: 3, m: 1 },
  WrongDocumentError: { s: 'WRONG_DOCUMENT_ERR', c: 4, m: 1 },
  InvalidCharacterError: { s: 'INVALID_CHARACTER_ERR', c: 5, m: 1 },
  NoDataAllowedError: { s: 'NO_DATA_ALLOWED_ERR', c: 6, m: 0 },
  NoModificationAllowedError: { s: 'NO_MODIFICATION_ALLOWED_ERR', c: 7, m: 1 },
  NotFoundError: { s: 'NOT_FOUND_ERR', c: 8, m: 1 },
  NotSupportedError: { s: 'NOT_SUPPORTED_ERR', c: 9, m: 1 },
  InUseAttributeError: { s: 'INUSE_ATTRIBUTE_ERR', c: 10, m: 1 },
  InvalidStateError: { s: 'INVALID_STATE_ERR', c: 11, m: 1 },
  SyntaxError: { s: 'SYNTAX_ERR', c: 12, m: 1 },
  InvalidModificationError: { s: 'INVALID_MODIFICATION_ERR', c: 13, m: 1 },
  NamespaceError: { s: 'NAMESPACE_ERR', c: 14, m: 1 },
  InvalidAccessError: { s: 'INVALID_ACCESS_ERR', c: 15, m: 1 },
  ValidationError: { s: 'VALIDATION_ERR', c: 16, m: 0 },
  TypeMismatchError: { s: 'TYPE_MISMATCH_ERR', c: 17, m: 1 },
  SecurityError: { s: 'SECURITY_ERR', c: 18, m: 1 },
  NetworkError: { s: 'NETWORK_ERR', c: 19, m: 1 },
  AbortError: { s: 'ABORT_ERR', c: 20, m: 1 },
  URLMismatchError: { s: 'URL_MISMATCH_ERR', c: 21, m: 1 },
  QuotaExceededError: { s: 'QUOTA_EXCEEDED_ERR', c: 22, m: 1 },
  TimeoutError: { s: 'TIMEOUT_ERR', c: 23, m: 1 },
  InvalidNodeTypeError: { s: 'INVALID_NODE_TYPE_ERR', c: 24, m: 1 },
  DataCloneError: { s: 'DATA_CLONE_ERR', c: 25, m: 1 }
};


/***/ }),

/***/ "d109":
/***/ (function(module, exports, __webpack_require__) {

/* WEBPACK VAR INJECTION */(function(Buffer, module) {var __WEBPACK_AMD_DEFINE_FACTORY__, __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;var _classCallCheck = __webpack_require__("970b").default;
var _createClass = __webpack_require__("5bc3").default;
var _typeof = __webpack_require__("7037").default;
__webpack_require__("944a");
__webpack_require__("d9e2");
__webpack_require__("4de4");
__webpack_require__("caad");
__webpack_require__("a15b");
__webpack_require__("d81d");
__webpack_require__("b0c0");
__webpack_require__("6c57");
__webpack_require__("0c47");
__webpack_require__("23dc");
__webpack_require__("b64b");
__webpack_require__("d3b7");
__webpack_require__("e6cf");
__webpack_require__("ac1f");
__webpack_require__("25f0");
__webpack_require__("466d");
__webpack_require__("5319");
__webpack_require__("159b");
__webpack_require__("c73d");
(function (c, P) {
  ( false ? undefined : _typeof(exports)) == "object" && ( false ? undefined : _typeof(module)) < "u" ? P(exports, __webpack_require__("db82")) :  true ? !(__WEBPACK_AMD_DEFINE_ARRAY__ = [exports, __webpack_require__("db82")], __WEBPACK_AMD_DEFINE_FACTORY__ = (P),
				__WEBPACK_AMD_DEFINE_RESULT__ = (typeof __WEBPACK_AMD_DEFINE_FACTORY__ === 'function' ?
				(__WEBPACK_AMD_DEFINE_FACTORY__.apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__)) : __WEBPACK_AMD_DEFINE_FACTORY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__)) : (undefined);
})(this, function (c, P) {
  "use strict";

  var te = Object.defineProperty;
  var re = function re(c, P, r) {
    return P in c ? te(c, P, {
      enumerable: !0,
      configurable: !0,
      writable: !0,
      value: r
    }) : c[P] = r;
  };
  var R = function R(c, P, r) {
    return re(c, _typeof(P) != "symbol" ? P + "" : P, r), r;
  };
  var m = /*#__PURE__*/function () {
    function m() {
      _classCallCheck(this, m);
      this.basePath = "/".replace(/\/+$/, ""), this.authentications = {
        oauth2: {
          type: "oauth2"
        }
      }, this.defaultHeaders = {}, this.timeout = 6e4, this.cache = !0, this.enableCookies = !1, (typeof window === "undefined" ? "undefined" : _typeof(window)) > "u" && (this.agent = new P.agent()), this.requestAgent = null;
    }
    return _createClass(m, [{
      key: "paramToString",
      value: function paramToString(e) {
        return e == null || e == null ? "" : e instanceof Date ? e.toJSON() : e.toString();
      }
    }, {
      key: "buildUrl",
      value: function buildUrl(e, t) {
        var _this = this;
        e.match(/^\//) || (e = "/" + e);
        var i = this.basePath + e;
        return i = i.replace(/\{([\w-]+)\}/g, function (n, o) {
          var a;
          return t.hasOwnProperty(o) ? a = _this.paramToString(t[o]) : a = n, encodeURIComponent(a);
        }), i;
      }
    }, {
      key: "isJsonMime",
      value: function isJsonMime(e) {
        return !!(e != null && e.match(/^application\/json(;.*)?$/i));
      }
    }, {
      key: "jsonPreferredMime",
      value: function jsonPreferredMime(e) {
        for (var t = 0; t < e.length; t++) if (this.isJsonMime(e[t])) return e[t];
        return e[0];
      }
    }, {
      key: "isFileParam",
      value: function isFileParam(e) {
        if (true) {
          var t;
          try {
            t = __webpack_require__(5);
          } catch (_unused) {}
          if (t && t.ReadStream && e instanceof t.ReadStream) return !0;
        }
        return typeof Buffer == "function" && e instanceof Buffer || typeof Blob == "function" && e instanceof Blob || typeof File == "function" && e instanceof File;
      }
    }, {
      key: "normalizeParams",
      value: function normalizeParams(e) {
        var t = {};
        for (var i in e) if (e.hasOwnProperty(i) && e[i] != null && e[i] != null) {
          var n = e[i];
          this.isFileParam(n) || Array.isArray(n) ? t[i] = n : t[i] = this.paramToString(n);
        }
        return t;
      }
    }, {
      key: "buildCollectionParam",
      value: function buildCollectionParam(e, t) {
        if (e == null) return null;
        switch (t) {
          case "csv":
            return e.map(this.paramToString).join(",");
          case "ssv":
            return e.map(this.paramToString).join(" ");
          case "tsv":
            return e.map(this.paramToString).join("	");
          case "pipes":
            return e.map(this.paramToString).join("|");
          case "multi":
            return e.map(this.paramToString);
          default:
            throw new Error("Unknown collection format: " + t);
        }
      }
    }, {
      key: "applyAuthToRequest",
      value: function applyAuthToRequest(e, t) {
        var _this2 = this;
        t.forEach(function (i) {
          var n = _this2.authentications[i];
          switch (n.type) {
            case "basic":
              (n.username || n.password) && e.auth(n.username || "", n.password || "");
              break;
            case "apiKey":
              if (n.apiKey) {
                var o = {};
                n.apiKeyPrefix ? o[n.name] = n.apiKeyPrefix + " " + n.apiKey : o[n.name] = n.apiKey, n.in === "header" ? e.set(o) : e.query(o);
              }
              break;
            case "oauth2":
              n.accessToken && e.set({
                Authorization: "Bearer " + n.accessToken
              });
              break;
            default:
              throw new Error("Unknown authentication type: " + n.type);
          }
        });
      }
    }, {
      key: "deserialize",
      value: function deserialize(e, t) {
        if (e == null || e.status == 204) return null;
        var i = e.body;
        if ((i == null || _typeof(i) == "object" && _typeof(i.length) > "u" && !Object.keys(i).length) && (i = e.text), t == null && ["easc3"].includes("abp-identity")) return {
          data: i
        };
        var n = m.convertToType(i.data, t);
        return {
          code: i.code,
          data: n
        };
      }
    }, {
      key: "callApi",
      value: function callApi(e, t, i, n, o, a, s, l, p, u, v) {
        var _this3 = this;
        var Z = this.buildUrl(e, i),
          d = P(t, Z);
        this.applyAuthToRequest(d, l), t.toUpperCase() === "GET" && this.cache === !1 && (n._ = new Date().getTime()), d.query(this.normalizeParams(n)), d.set(this.defaultHeaders).set(this.normalizeParams(o)), this.requestAgent && d.agent(this.requestAgent), d.timeout(this.timeout);
        var z = this.jsonPreferredMime(p);
        if (z ? z != "multipart/form-data" && d.type(z) : d.header["Content-Type"] || d.type("application/json"), z === "application/x-www-form-urlencoded") d.send(m.stringify(this.normalizeParams(a)));else if (z == "multipart/form-data") {
          var L = this.normalizeParams(a);
          for (var q in L) L.hasOwnProperty(q) && (this.isFileParam(L[q]) ? d.attach(q, L[q]) : d.field(q, L[q]));
        } else s && d.send(s);
        var Q = this.jsonPreferredMime(u);
        return Q && d.accept(Q), v === "Blob" ? d.responseType("blob") : v === "String" && d.responseType("string"), this.enableCookies && ((typeof window === "undefined" ? "undefined" : _typeof(window)) > "u" ? this.agent.attachCookies(d) : d.withCredentials()), new Promise(function (j, X) {
          d.end(function (Y, b) {
            if (Y) X(Y);else try {
              var _ = _this3.deserialize(b, v);
              _this3.enableCookies && (typeof window === "undefined" ? "undefined" : _typeof(window)) > "u" && _this3.agent.saveCookies(b), j({
                data: _,
                response: b
              });
            } catch (ee) {
              X(ee);
            }
          });
        });
      }
    }], [{
      key: "parseDate",
      value: function parseDate(e) {
        return new Date(e);
      }
    }, {
      key: "convertToType",
      value: function convertToType(e, t) {
        if (e == null) return e;
        switch (t) {
          case "Boolean":
            return !!e;
          case "Integer":
            return parseInt(e, 10);
          case "Number":
            return parseFloat(e);
          case "String":
            return String(e);
          case "Date":
            return m.parseDate(String(e));
          case "Blob":
            return e;
          default:
            if (t === Object) return e;
            if (typeof t == "function") return t.constructFromObject(e);
            if (Array.isArray(t)) {
              var i = t[0];
              return e.map(function (u) {
                return m.convertToType(u, i);
              });
            } else if (_typeof(t) == "object") {
              var n, o;
              for (var a in t) if (t.hasOwnProperty(a)) {
                n = a, o = t[a];
                break;
              }
              var s = {};
              for (var a in e) if (e.hasOwnProperty(a)) {
                var l = m.convertToType(a, n),
                  p = m.convertToType(e[a], o);
                s[l] = p;
              }
              return s;
            } else return e;
        }
      }
    }, {
      key: "constructFromObject",
      value: function constructFromObject(e, t, i) {
        if (Array.isArray(e)) for (var n = 0; n < e.length; n++) e.hasOwnProperty(n) && (t[n] = m.convertToType(e[n], i));else for (var o in e) e.hasOwnProperty(o) && (t[o] = m.convertToType(e[o], i));
      }
    }, {
      key: "GetInstance",
      value: function GetInstance(e, t) {
        return Wiz ? Wiz.GetApiClientInstance(e, t) : new m();
      }
    }, {
      key: "stringifyPrimitive",
      value: function stringifyPrimitive(e) {
        switch (_typeof(e)) {
          case "string":
            return e;
          case "boolean":
            return e ? "true" : "false";
          case "number":
            return isFinite(e) ? e : "";
          default:
            return "";
        }
      }
    }, {
      key: "stringify",
      value: function stringify(e, t, i, n) {
        return t = t || "&", i = i || "=", e === null && (e = void 0), _typeof(e) == "object" ? Object.keys(e).map(function (o) {
          var a = encodeURIComponent(m.stringifyPrimitive(o)) + i;
          return Array.isArray(e[o]) ? e[o].map(function (s) {
            return a + encodeURIComponent(m.stringifyPrimitive(s));
          }).join(t) : a + encodeURIComponent(m.stringifyPrimitive(e[o]));
        }).filter(Boolean).join(t) : n ? encodeURIComponent(m.stringifyPrimitive(n)) + i + encodeURIComponent(m.stringifyPrimitive(e)) : "";
      }
    }]);
  }();
  R(m, "CollectionFormatEnum", {
    CSV: ",",
    SSV: " ",
    TSV: "	",
    PIPES: "|",
    MULTI: "multi"
  });
  var r = m;
  var N = /*#__PURE__*/function () {
    function N(e) {
      _classCallCheck(this, N);
      this.name = e;
    }
    return _createClass(N, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new N(), e.hasOwnProperty("extraProperties") && (t.extraProperties = r.convertToType(e.extraProperties, {
          String: Object
        })), e.hasOwnProperty("isDefault") && (t.isDefault = r.convertToType(e.isDefault, "Boolean")), e.hasOwnProperty("isPublic") && (t.isPublic = r.convertToType(e.isPublic, "Boolean")), e.hasOwnProperty("name") && (t.name = r.convertToType(e.name, "String"))), t;
      }
    }]);
  }();
  N.prototype.extraProperties = void 0, N.prototype.isDefault = void 0, N.prototype.isPublic = void 0, N.prototype.name = void 0;
  var T = /*#__PURE__*/function () {
    function T() {
      _classCallCheck(this, T);
    }
    return _createClass(T, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new T(), e.hasOwnProperty("concurrencyStamp") && (t.concurrencyStamp = r.convertToType(e.concurrencyStamp, "String")), e.hasOwnProperty("extraProperties") && (t.extraProperties = r.convertToType(e.extraProperties, {
          String: Object
        })), e.hasOwnProperty("id") && (t.id = r.convertToType(e.id, "String")), e.hasOwnProperty("isDefault") && (t.isDefault = r.convertToType(e.isDefault, "Boolean")), e.hasOwnProperty("isPublic") && (t.isPublic = r.convertToType(e.isPublic, "Boolean")), e.hasOwnProperty("isStatic") && (t.isStatic = r.convertToType(e.isStatic, "Boolean")), e.hasOwnProperty("name") && (t.name = r.convertToType(e.name, "String"))), t;
      }
    }]);
  }();
  T.prototype.concurrencyStamp = void 0, T.prototype.extraProperties = void 0, T.prototype.id = void 0, T.prototype.isDefault = void 0, T.prototype.isPublic = void 0, T.prototype.isStatic = void 0, T.prototype.name = void 0;
  var S = /*#__PURE__*/function () {
    function S(e) {
      _classCallCheck(this, S);
      this.name = e;
    }
    return _createClass(S, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new S(), e.hasOwnProperty("concurrencyStamp") && (t.concurrencyStamp = r.convertToType(e.concurrencyStamp, "String")), e.hasOwnProperty("extraProperties") && (t.extraProperties = r.convertToType(e.extraProperties, {
          String: Object
        })), e.hasOwnProperty("isDefault") && (t.isDefault = r.convertToType(e.isDefault, "Boolean")), e.hasOwnProperty("isPublic") && (t.isPublic = r.convertToType(e.isPublic, "Boolean")), e.hasOwnProperty("name") && (t.name = r.convertToType(e.name, "String"))), t;
      }
    }]);
  }();
  S.prototype.concurrencyStamp = void 0, S.prototype.extraProperties = void 0, S.prototype.isDefault = void 0, S.prototype.isPublic = void 0, S.prototype.name = void 0;
  var w = /*#__PURE__*/function () {
    function w(e, t, i) {
      _classCallCheck(this, w);
      this.email = e, this.password = t, this.userName = i;
    }
    return _createClass(w, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new w(), e.hasOwnProperty("email") && (t.email = r.convertToType(e.email, "String")), e.hasOwnProperty("extraProperties") && (t.extraProperties = r.convertToType(e.extraProperties, {
          String: Object
        })), e.hasOwnProperty("isActive") && (t.isActive = r.convertToType(e.isActive, "Boolean")), e.hasOwnProperty("lockoutEnabled") && (t.lockoutEnabled = r.convertToType(e.lockoutEnabled, "Boolean")), e.hasOwnProperty("name") && (t.name = r.convertToType(e.name, "String")), e.hasOwnProperty("password") && (t.password = r.convertToType(e.password, "String")), e.hasOwnProperty("phoneNumber") && (t.phoneNumber = r.convertToType(e.phoneNumber, "String")), e.hasOwnProperty("roleNames") && (t.roleNames = r.convertToType(e.roleNames, ["String"])), e.hasOwnProperty("surname") && (t.surname = r.convertToType(e.surname, "String")), e.hasOwnProperty("userName") && (t.userName = r.convertToType(e.userName, "String"))), t;
      }
    }]);
  }();
  w.prototype.email = void 0, w.prototype.extraProperties = void 0, w.prototype.isActive = void 0, w.prototype.lockoutEnabled = void 0, w.prototype.name = void 0, w.prototype.password = void 0, w.prototype.phoneNumber = void 0, w.prototype.roleNames = void 0, w.prototype.surname = void 0, w.prototype.userName = void 0;
  var h = /*#__PURE__*/function () {
    function h() {
      _classCallCheck(this, h);
    }
    return _createClass(h, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new h(), e.hasOwnProperty("concurrencyStamp") && (t.concurrencyStamp = r.convertToType(e.concurrencyStamp, "String")), e.hasOwnProperty("creationTime") && (t.creationTime = r.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creatorId") && (t.creatorId = r.convertToType(e.creatorId, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = r.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = r.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("email") && (t.email = r.convertToType(e.email, "String")), e.hasOwnProperty("emailConfirmed") && (t.emailConfirmed = r.convertToType(e.emailConfirmed, "Boolean")), e.hasOwnProperty("extraProperties") && (t.extraProperties = r.convertToType(e.extraProperties, {
          String: Object
        })), e.hasOwnProperty("id") && (t.id = r.convertToType(e.id, "String")), e.hasOwnProperty("isActive") && (t.isActive = r.convertToType(e.isActive, "Boolean")), e.hasOwnProperty("isDeleted") && (t.isDeleted = r.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = r.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = r.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("lockoutEnabled") && (t.lockoutEnabled = r.convertToType(e.lockoutEnabled, "Boolean")), e.hasOwnProperty("lockoutEnd") && (t.lockoutEnd = r.convertToType(e.lockoutEnd, "Date")), e.hasOwnProperty("name") && (t.name = r.convertToType(e.name, "String")), e.hasOwnProperty("phoneNumber") && (t.phoneNumber = r.convertToType(e.phoneNumber, "String")), e.hasOwnProperty("phoneNumberConfirmed") && (t.phoneNumberConfirmed = r.convertToType(e.phoneNumberConfirmed, "Boolean")), e.hasOwnProperty("surname") && (t.surname = r.convertToType(e.surname, "String")), e.hasOwnProperty("tenantId") && (t.tenantId = r.convertToType(e.tenantId, "String")), e.hasOwnProperty("userName") && (t.userName = r.convertToType(e.userName, "String"))), t;
      }
    }]);
  }();
  h.prototype.concurrencyStamp = void 0, h.prototype.creationTime = void 0, h.prototype.creatorId = void 0, h.prototype.deleterId = void 0, h.prototype.deletionTime = void 0, h.prototype.email = void 0, h.prototype.emailConfirmed = void 0, h.prototype.extraProperties = void 0, h.prototype.id = void 0, h.prototype.isActive = void 0, h.prototype.isDeleted = void 0, h.prototype.lastModificationTime = void 0, h.prototype.lastModifierId = void 0, h.prototype.lockoutEnabled = void 0, h.prototype.lockoutEnd = void 0, h.prototype.name = void 0, h.prototype.phoneNumber = void 0, h.prototype.phoneNumberConfirmed = void 0, h.prototype.surname = void 0, h.prototype.tenantId = void 0, h.prototype.userName = void 0;
  var g = /*#__PURE__*/function () {
    function g(e, t) {
      _classCallCheck(this, g);
      this.email = e, this.userName = t;
    }
    return _createClass(g, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new g(), e.hasOwnProperty("concurrencyStamp") && (t.concurrencyStamp = r.convertToType(e.concurrencyStamp, "String")), e.hasOwnProperty("email") && (t.email = r.convertToType(e.email, "String")), e.hasOwnProperty("extraProperties") && (t.extraProperties = r.convertToType(e.extraProperties, {
          String: Object
        })), e.hasOwnProperty("isActive") && (t.isActive = r.convertToType(e.isActive, "Boolean")), e.hasOwnProperty("lockoutEnabled") && (t.lockoutEnabled = r.convertToType(e.lockoutEnabled, "Boolean")), e.hasOwnProperty("name") && (t.name = r.convertToType(e.name, "String")), e.hasOwnProperty("password") && (t.password = r.convertToType(e.password, "String")), e.hasOwnProperty("phoneNumber") && (t.phoneNumber = r.convertToType(e.phoneNumber, "String")), e.hasOwnProperty("roleNames") && (t.roleNames = r.convertToType(e.roleNames, ["String"])), e.hasOwnProperty("surname") && (t.surname = r.convertToType(e.surname, "String")), e.hasOwnProperty("userName") && (t.userName = r.convertToType(e.userName, "String"))), t;
      }
    }]);
  }();
  g.prototype.concurrencyStamp = void 0, g.prototype.email = void 0, g.prototype.extraProperties = void 0, g.prototype.isActive = void 0, g.prototype.lockoutEnabled = void 0, g.prototype.name = void 0, g.prototype.password = void 0, g.prototype.phoneNumber = void 0, g.prototype.roleNames = void 0, g.prototype.surname = void 0, g.prototype.userName = void 0;
  var F = /*#__PURE__*/function () {
    function F(e) {
      _classCallCheck(this, F);
      this.roleNames = e;
    }
    return _createClass(F, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new F(), e.hasOwnProperty("roleNames") && (t.roleNames = r.convertToType(e.roleNames, ["String"]))), t;
      }
    }]);
  }();
  F.prototype.roleNames = void 0;
  var B = /*#__PURE__*/function () {
    function B() {
      _classCallCheck(this, B);
    }
    return _createClass(B, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new B(), e.hasOwnProperty("displayName") && (t.displayName = r.convertToType(e.displayName, "String")), e.hasOwnProperty("extraProperties") && (t.extraProperties = r.convertToType(e.extraProperties, {
          String: Object
        })), e.hasOwnProperty("parentId") && (t.parentId = r.convertToType(e.parentId, "String"))), t;
      }
    }]);
  }();
  B.prototype.displayName = void 0, B.prototype.extraProperties = void 0, B.prototype.parentId = void 0;
  var y = /*#__PURE__*/function () {
    function y() {
      _classCallCheck(this, y);
    }
    return _createClass(y, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new y(), e.hasOwnProperty("children") && (t.children = r.convertToType(e.children, [y])), e.hasOwnProperty("code") && (t.code = r.convertToType(e.code, "String")), e.hasOwnProperty("concurrencyStamp") && (t.concurrencyStamp = r.convertToType(e.concurrencyStamp, "String")), e.hasOwnProperty("creationTime") && (t.creationTime = r.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creatorId") && (t.creatorId = r.convertToType(e.creatorId, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = r.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = r.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("displayName") && (t.displayName = r.convertToType(e.displayName, "String")), e.hasOwnProperty("extraProperties") && (t.extraProperties = r.convertToType(e.extraProperties, {
          String: Object
        })), e.hasOwnProperty("id") && (t.id = r.convertToType(e.id, "String")), e.hasOwnProperty("isDeleted") && (t.isDeleted = r.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("isLeaf") && (t.isLeaf = r.convertToType(e.isLeaf, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = r.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = r.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("level") && (t.level = r.convertToType(e.level, "Number")), e.hasOwnProperty("parentId") && (t.parentId = r.convertToType(e.parentId, "String")), e.hasOwnProperty("permission") && (t.permission = r.convertToType(e.permission, "Number"))), t;
      }
    }]);
  }();
  y.prototype.children = void 0, y.prototype.code = void 0, y.prototype.concurrencyStamp = void 0, y.prototype.creationTime = void 0, y.prototype.creatorId = void 0, y.prototype.deleterId = void 0, y.prototype.deletionTime = void 0, y.prototype.displayName = void 0, y.prototype.extraProperties = void 0, y.prototype.id = void 0, y.prototype.isDeleted = void 0, y.prototype.isLeaf = void 0, y.prototype.lastModificationTime = void 0, y.prototype.lastModifierId = void 0, y.prototype.level = void 0, y.prototype.parentId = void 0, y.prototype.permission = void 0;
  var O = /*#__PURE__*/function () {
    function O() {
      _classCallCheck(this, O);
    }
    return _createClass(O, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new O(), e.hasOwnProperty("children") && (t.children = r.convertToType(e.children, [O])), e.hasOwnProperty("displayName") && (t.displayName = r.convertToType(e.displayName, "String")), e.hasOwnProperty("fullPathName") && (t.fullPathName = r.convertToType(e.fullPathName, "String")), e.hasOwnProperty("id") && (t.id = r.convertToType(e.id, "String"))), t;
      }
    }]);
  }();
  O.prototype.children = void 0, O.prototype.displayName = void 0, O.prototype.fullPathName = void 0, O.prototype.id = void 0;
  var H = /*#__PURE__*/function () {
    function H() {
      _classCallCheck(this, H);
    }
    return _createClass(H, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new H(), e.hasOwnProperty("concurrencyStamp") && (t.concurrencyStamp = r.convertToType(e.concurrencyStamp, "String")), e.hasOwnProperty("displayName") && (t.displayName = r.convertToType(e.displayName, "String")), e.hasOwnProperty("extraProperties") && (t.extraProperties = r.convertToType(e.extraProperties, {
          String: Object
        }))), t;
      }
    }]);
  }();
  H.prototype.concurrencyStamp = void 0, H.prototype.displayName = void 0, H.prototype.extraProperties = void 0;
  var G = /*#__PURE__*/function () {
    function G() {
      _classCallCheck(this, G);
    }
    return _createClass(G, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new G(), e.hasOwnProperty("childen") && (t.childen = r.convertToType(e.childen, ["String"])), e.hasOwnProperty("parentId") && (t.parentId = r.convertToType(e.parentId, "String"))), t;
      }
    }]);
  }();
  G.prototype.childen = void 0, G.prototype.parentId = void 0;
  var W = /*#__PURE__*/function () {
    function W() {
      _classCallCheck(this, W);
    }
    return _createClass(W, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new W(), e.hasOwnProperty("members") && (t.members = r.convertToType(e.members, ["String"])), e.hasOwnProperty("message") && (t.message = r.convertToType(e.message, "String"))), t;
      }
    }]);
  }();
  W.prototype.members = void 0, W.prototype.message = void 0;
  var I = /*#__PURE__*/function () {
    function I() {
      _classCallCheck(this, I);
    }
    return _createClass(I, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new I(), e.hasOwnProperty("code") && (t.code = r.convertToType(e.code, "String")), e.hasOwnProperty("data") && (t.data = r.convertToType(e.data, {
          String: Object
        })), e.hasOwnProperty("details") && (t.details = r.convertToType(e.details, "String")), e.hasOwnProperty("message") && (t.message = r.convertToType(e.message, "String")), e.hasOwnProperty("validationErrors") && (t.validationErrors = r.convertToType(e.validationErrors, [W]))), t;
      }
    }]);
  }();
  I.prototype.code = void 0, I.prototype.data = void 0, I.prototype.details = void 0, I.prototype.message = void 0, I.prototype.validationErrors = void 0;
  var M = /*#__PURE__*/function () {
    function M() {
      _classCallCheck(this, M);
    }
    return _createClass(M, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new M(), e.hasOwnProperty("error") && (t.error = I.constructFromObject(e.error))), t;
      }
    }]);
  }();
  M.prototype.error = void 0;
  var f = /*#__PURE__*/function () {
    function f() {
      _classCallCheck(this, f);
    }
    return _createClass(f, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new f(), e.hasOwnProperty("email") && (t.email = r.convertToType(e.email, "String")), e.hasOwnProperty("emailConfirmed") && (t.emailConfirmed = r.convertToType(e.emailConfirmed, "Boolean")), e.hasOwnProperty("id") && (t.id = r.convertToType(e.id, "String")), e.hasOwnProperty("isActive") && (t.isActive = r.convertToType(e.isActive, "Boolean")), e.hasOwnProperty("name") && (t.name = r.convertToType(e.name, "String")), e.hasOwnProperty("phoneNumber") && (t.phoneNumber = r.convertToType(e.phoneNumber, "String")), e.hasOwnProperty("phoneNumberConfirmed") && (t.phoneNumberConfirmed = r.convertToType(e.phoneNumberConfirmed, "Boolean")), e.hasOwnProperty("surname") && (t.surname = r.convertToType(e.surname, "String")), e.hasOwnProperty("tenantId") && (t.tenantId = r.convertToType(e.tenantId, "String")), e.hasOwnProperty("userName") && (t.userName = r.convertToType(e.userName, "String"))), t;
      }
    }]);
  }();
  f.prototype.email = void 0, f.prototype.emailConfirmed = void 0, f.prototype.id = void 0, f.prototype.isActive = void 0, f.prototype.name = void 0, f.prototype.phoneNumber = void 0, f.prototype.phoneNumberConfirmed = void 0, f.prototype.surname = void 0, f.prototype.tenantId = void 0, f.prototype.userName = void 0;
  var C = /*#__PURE__*/function () {
    function C() {
      _classCallCheck(this, C);
    }
    return _createClass(C, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new C(), e.hasOwnProperty("items") && (t.items = r.convertToType(e.items, [T]))), t;
      }
    }]);
  }();
  C.prototype.items = void 0;
  var A = /*#__PURE__*/function () {
    function A() {
      _classCallCheck(this, A);
    }
    return _createClass(A, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new A(), e.hasOwnProperty("items") && (t.items = r.convertToType(e.items, [y]))), t;
      }
    }]);
  }();
  A.prototype.items = void 0;
  var U = /*#__PURE__*/function () {
    function U() {
      _classCallCheck(this, U);
    }
    return _createClass(U, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new U(), e.hasOwnProperty("items") && (t.items = r.convertToType(e.items, [f]))), t;
      }
    }]);
  }();
  U.prototype.items = void 0;
  var E = /*#__PURE__*/function () {
    function E() {
      _classCallCheck(this, E);
    }
    return _createClass(E, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new E(), e.hasOwnProperty("items") && (t.items = r.convertToType(e.items, [T])), e.hasOwnProperty("totalCount") && (t.totalCount = r.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  E.prototype.items = void 0, E.prototype.totalCount = void 0;
  var x = /*#__PURE__*/function () {
    function x() {
      _classCallCheck(this, x);
    }
    return _createClass(x, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new x(), e.hasOwnProperty("items") && (t.items = r.convertToType(e.items, [h])), e.hasOwnProperty("totalCount") && (t.totalCount = r.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  x.prototype.items = void 0, x.prototype.totalCount = void 0;
  var D = /*#__PURE__*/function () {
    function D() {
      _classCallCheck(this, D);
    }
    return _createClass(D, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new D(), e.hasOwnProperty("items") && (t.items = r.convertToType(e.items, [y])), e.hasOwnProperty("totalCount") && (t.totalCount = r.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  D.prototype.items = void 0, D.prototype.totalCount = void 0;
  var K = /*#__PURE__*/function () {
    function K(e) {
      _classCallCheck(this, K);
      this.apiClient = e || r.GetInstance("abp-identity", "OrganizationApi");
    }
    return _createClass(K, [{
      key: "callDeleteWithHttpInfo",
      value: function callDeleteWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling callDelete");
        var i = {
            id: e
          },
          n = {},
          o = {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = null;
        return this.apiClient.callApi("/api/identity/organizations/{id}", "DELETE", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "callDelete",
      value: function callDelete(e) {
        return this.callDeleteWithHttpInfo(e);
      }
    }, {
      key: "createWithHttpInfo",
      value: function createWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          n = {},
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = ["application/_*+json", "application/json", "text/json"],
          p = ["application/json", "text/json", "text/plain"],
          u = y;
        return this.apiClient.callApi("/api/identity/organizations", "POST", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "create",
      value: function create(e) {
        return this.createWithHttpInfo(e);
      }
    }, {
      key: "getWithHttpInfo",
      value: function getWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling get");
        var i = {
            id: e
          },
          n = {},
          o = {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = y;
        return this.apiClient.callApi("/api/identity/organizations/{id}", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "get",
      value: function get(e) {
        return this.getWithHttpInfo(e);
      }
    }, {
      key: "getAllListWithHttpInfo",
      value: function getAllListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          n = {
            Filter: e.filter,
            Sorting: e.sorting,
            SeenAll: e.seenAll,
            SubTenantId: e.subTenantId
          },
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = A;
        return this.apiClient.callApi("/api/identity/organizations/all", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "getAllList",
      value: function getAllList(e) {
        return this.getAllListWithHttpInfo(e);
      }
    }, {
      key: "getAllListDetailsWithHttpInfo",
      value: function getAllListDetailsWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          n = {
            Filter: e.filter,
            Sorting: e.sorting,
            SeenAll: e.seenAll,
            SubTenantId: e.subTenantId
          },
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = A;
        return this.apiClient.callApi("/api/identity/organizations/all/details", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "getAllListDetails",
      value: function getAllListDetails(e) {
        return this.getAllListDetailsWithHttpInfo(e);
      }
    }, {
      key: "getAllListDetailsByFullPathNameWithHttpInfo",
      value: function getAllListDetailsByFullPathNameWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          n = {
            Filter: e.filter,
            Sorting: e.sorting,
            SeenAll: e.seenAll,
            SubTenantId: e.subTenantId
          },
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = [O];
        return this.apiClient.callApi("/api/identity/organizations/all/details-by-full-path-name", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "getAllListDetailsByFullPathName",
      value: function getAllListDetailsByFullPathName(e) {
        return this.getAllListDetailsByFullPathNameWithHttpInfo(e);
      }
    }, {
      key: "getChildrenWithHttpInfo",
      value: function getChildrenWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'parentId' when calling getChildren");
        var i = {
            parentId: e
          },
          n = {},
          o = {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = [y];
        return this.apiClient.callApi("/api/identity/organizations/children/{parentId}", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "getChildren",
      value: function getChildren(e) {
        return this.getChildrenWithHttpInfo(e);
      }
    }, {
      key: "getDetailsWithHttpInfo",
      value: function getDetailsWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getDetails");
        var i = {
            id: e
          },
          n = {},
          o = {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = y;
        return this.apiClient.callApi("/api/identity/organizations/{id}/details", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "getDetails",
      value: function getDetails(e) {
        return this.getDetailsWithHttpInfo(e);
      }
    }, {
      key: "getFullPathNameWithHttpInfo",
      value: function getFullPathNameWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          n = {
            id: e.id
          },
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = "String";
        return this.apiClient.callApi("/api/identity/organizations/full-path-name", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "getFullPathName",
      value: function getFullPathName(e) {
        return this.getFullPathNameWithHttpInfo(e);
      }
    }, {
      key: "getListWithHttpInfo",
      value: function getListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          n = {
            ParentId: e.parentId,
            Filter: e.filter,
            IsOnlySeenAuthServer: e.isOnlySeenAuthServer,
            Origin: e.origin,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = D;
        return this.apiClient.callApi("/api/identity/organizations", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "getList",
      value: function getList(e) {
        return this.getListWithHttpInfo(e);
      }
    }, {
      key: "getListDetailsWithHttpInfo",
      value: function getListDetailsWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          n = {
            ParentId: e.parentId,
            Filter: e.filter,
            IsOnlySeenAuthServer: e.isOnlySeenAuthServer,
            Origin: e.origin,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = D;
        return this.apiClient.callApi("/api/identity/organizations/details", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "getListDetails",
      value: function getListDetails(e) {
        return this.getListDetailsWithHttpInfo(e);
      }
    }, {
      key: "getNextChildCodeWithHttpInfo",
      value: function getNextChildCodeWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          n = {
            parentId: e.parentId
          },
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = "String";
        return this.apiClient.callApi("/api/identity/organizations/next-code", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "getNextChildCode",
      value: function getNextChildCode(e) {
        return this.getNextChildCodeWithHttpInfo(e);
      }
    }, {
      key: "getRolesWithHttpInfo",
      value: function getRolesWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          n = {
            ouId: e.ouId,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount,
            Sorting: e.sorting
          },
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = E;
        return this.apiClient.callApi("/api/identity/organizations/roles", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "getRoles",
      value: function getRoles(e) {
        return this.getRolesWithHttpInfo(e);
      }
    }, {
      key: "getRootListWithHttpInfo",
      value: function getRootListWithHttpInfo() {
        var e = null,
          t = {},
          i = {},
          n = {},
          o = {},
          a = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          p = A;
        return this.apiClient.callApi("/api/identity/organizations/root", "GET", t, i, n, o, e, a, s, l, p);
      }
    }, {
      key: "getRootList",
      value: function getRootList() {
        return this.getRootListWithHttpInfo();
      }
    }, {
      key: "getUsersWithHttpInfo",
      value: function getUsersWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          n = {
            ouId: e.ouId,
            Filter: e.filter,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = x;
        return this.apiClient.callApi("/api/identity/organizations/users", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "getUsers",
      value: function getUsers(e) {
        return this.getUsersWithHttpInfo(e);
      }
    }, {
      key: "moveWithHttpInfo",
      value: function moveWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          n = {
            id: e.id,
            parentId: e.parentId
          },
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = e.returnType || null;
        return this.apiClient.callApi("/api/identity/organizations/move", "PUT", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "move",
      value: function move(e) {
        return this.moveWithHttpInfo(e);
      }
    }, {
      key: "updateWithHttpInfo",
      value: function updateWithHttpInfo(e, t) {
        t = t || {};
        var i = t.body;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling update");
        var n = {
            id: e
          },
          o = {},
          a = t.header || {},
          s = {},
          l = ["oauth2"],
          p = ["application/_*+json", "application/json", "text/json"],
          u = ["application/json", "text/json", "text/plain"],
          v = y;
        return this.apiClient.callApi("/api/identity/organizations/{id}", "PUT", n, o, a, s, i, l, p, u, v);
      }
    }, {
      key: "update",
      value: function update(e, t) {
        return this.updateWithHttpInfo(e, t);
      }
    }, {
      key: "updateChildrenSeqNoWithHttpInfo",
      value: function updateChildrenSeqNoWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          n = {},
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = ["application/_*+json", "application/json", "text/json"],
          p = ["application/json", "text/json", "text/plain"],
          u = e.returnType || null;
        return this.apiClient.callApi("/api/identity/organizations/update-seqno", "POST", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "updateChildrenSeqNo",
      value: function updateChildrenSeqNo(e) {
        return this.updateChildrenSeqNoWithHttpInfo(e);
      }
    }]);
  }();
  R(K, "Methods", {
    callDelete: {
      method: "DELETE",
      path: "/api/identity/organizations/{id}"
    },
    create: {
      method: "POST",
      path: "/api/identity/organizations"
    },
    get: {
      method: "GET",
      path: "/api/identity/organizations/{id}"
    },
    getAllList: {
      method: "GET",
      path: "/api/identity/organizations/all"
    },
    getAllListDetails: {
      method: "GET",
      path: "/api/identity/organizations/all/details"
    },
    getAllListDetailsByFullPathName: {
      method: "GET",
      path: "/api/identity/organizations/all/details-by-full-path-name"
    },
    getChildren: {
      method: "GET",
      path: "/api/identity/organizations/children/{parentId}"
    },
    getDetails: {
      method: "GET",
      path: "/api/identity/organizations/{id}/details"
    },
    getFullPathName: {
      method: "GET",
      path: "/api/identity/organizations/full-path-name"
    },
    getList: {
      method: "GET",
      path: "/api/identity/organizations"
    },
    getListDetails: {
      method: "GET",
      path: "/api/identity/organizations/details"
    },
    getNextChildCode: {
      method: "GET",
      path: "/api/identity/organizations/next-code"
    },
    getRoles: {
      method: "GET",
      path: "/api/identity/organizations/roles"
    },
    getRootList: {
      method: "GET",
      path: "/api/identity/organizations/root"
    },
    getUsers: {
      method: "GET",
      path: "/api/identity/organizations/users"
    },
    move: {
      method: "PUT",
      path: "/api/identity/organizations/move"
    },
    update: {
      method: "PUT",
      path: "/api/identity/organizations/{id}"
    },
    updateChildrenSeqNo: {
      method: "POST",
      path: "/api/identity/organizations/update-seqno"
    }
  });
  var V = /*#__PURE__*/function () {
    function V(e) {
      _classCallCheck(this, V);
      this.apiClient = e || r.GetInstance("abp-identity", "RoleApi");
    }
    return _createClass(V, [{
      key: "callDeleteWithHttpInfo",
      value: function callDeleteWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling callDelete");
        var i = {
            id: e
          },
          n = {},
          o = {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = null;
        return this.apiClient.callApi("/api/identity/roles/{id}", "DELETE", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "callDelete",
      value: function callDelete(e) {
        return this.callDeleteWithHttpInfo(e);
      }
    }, {
      key: "createWithHttpInfo",
      value: function createWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          n = {},
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = ["application/_*+json", "application/json", "text/json"],
          p = ["application/json", "text/json", "text/plain"],
          u = T;
        return this.apiClient.callApi("/api/identity/roles", "POST", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "create",
      value: function create(e) {
        return this.createWithHttpInfo(e);
      }
    }, {
      key: "getWithHttpInfo",
      value: function getWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling get");
        var i = {
            id: e
          },
          n = {},
          o = {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = T;
        return this.apiClient.callApi("/api/identity/roles/{id}", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "get",
      value: function get(e) {
        return this.getWithHttpInfo(e);
      }
    }, {
      key: "getAllListWithHttpInfo",
      value: function getAllListWithHttpInfo() {
        var e = null,
          t = {},
          i = {},
          n = {},
          o = {},
          a = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          p = C;
        return this.apiClient.callApi("/api/identity/roles/all", "GET", t, i, n, o, e, a, s, l, p);
      }
    }, {
      key: "getAllList",
      value: function getAllList() {
        return this.getAllListWithHttpInfo();
      }
    }, {
      key: "getListWithHttpInfo",
      value: function getListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          n = {
            Filter: e.filter,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = E;
        return this.apiClient.callApi("/api/identity/roles", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "getList",
      value: function getList(e) {
        return this.getListWithHttpInfo(e);
      }
    }, {
      key: "updateWithHttpInfo",
      value: function updateWithHttpInfo(e, t) {
        t = t || {};
        var i = t.body;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling update");
        var n = {
            id: e
          },
          o = {},
          a = t.header || {},
          s = {},
          l = ["oauth2"],
          p = ["application/_*+json", "application/json", "text/json"],
          u = ["application/json", "text/json", "text/plain"],
          v = T;
        return this.apiClient.callApi("/api/identity/roles/{id}", "PUT", n, o, a, s, i, l, p, u, v);
      }
    }, {
      key: "update",
      value: function update(e, t) {
        return this.updateWithHttpInfo(e, t);
      }
    }]);
  }();
  R(V, "Methods", {
    callDelete: {
      method: "DELETE",
      path: "/api/identity/roles/{id}"
    },
    create: {
      method: "POST",
      path: "/api/identity/roles"
    },
    get: {
      method: "GET",
      path: "/api/identity/roles/{id}"
    },
    getAllList: {
      method: "GET",
      path: "/api/identity/roles/all"
    },
    getList: {
      method: "GET",
      path: "/api/identity/roles"
    },
    update: {
      method: "PUT",
      path: "/api/identity/roles/{id}"
    }
  });
  var J = /*#__PURE__*/function () {
    function J(e) {
      _classCallCheck(this, J);
      this.apiClient = e || r.GetInstance("abp-identity", "UserApi");
    }
    return _createClass(J, [{
      key: "callDeleteWithHttpInfo",
      value: function callDeleteWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling callDelete");
        var i = {
            id: e
          },
          n = {},
          o = {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = null;
        return this.apiClient.callApi("/api/identity/users/{id}", "DELETE", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "callDelete",
      value: function callDelete(e) {
        return this.callDeleteWithHttpInfo(e);
      }
    }, {
      key: "createWithHttpInfo",
      value: function createWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          n = {},
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = ["application/_*+json", "application/json", "text/json"],
          p = ["application/json", "text/json", "text/plain"],
          u = h;
        return this.apiClient.callApi("/api/identity/users", "POST", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "create",
      value: function create(e) {
        return this.createWithHttpInfo(e);
      }
    }, {
      key: "findByEmailWithHttpInfo",
      value: function findByEmailWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'email' when calling findByEmail");
        var i = {
            email: e
          },
          n = {},
          o = {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = h;
        return this.apiClient.callApi("/api/identity/users/by-email/{email}", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "findByEmail",
      value: function findByEmail(e) {
        return this.findByEmailWithHttpInfo(e);
      }
    }, {
      key: "findByUsernameWithHttpInfo",
      value: function findByUsernameWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'userName' when calling findByUsername");
        var i = {
            userName: e
          },
          n = {},
          o = {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = h;
        return this.apiClient.callApi("/api/identity/users/by-username/{userName}", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "findByUsername",
      value: function findByUsername(e) {
        return this.findByUsernameWithHttpInfo(e);
      }
    }, {
      key: "getWithHttpInfo",
      value: function getWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling get");
        var i = {
            id: e
          },
          n = {},
          o = {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = h;
        return this.apiClient.callApi("/api/identity/users/{id}", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "get",
      value: function get(e) {
        return this.getWithHttpInfo(e);
      }
    }, {
      key: "getAssignableRolesWithHttpInfo",
      value: function getAssignableRolesWithHttpInfo() {
        var e = null,
          t = {},
          i = {},
          n = {},
          o = {},
          a = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          p = C;
        return this.apiClient.callApi("/api/identity/users/assignable-roles", "GET", t, i, n, o, e, a, s, l, p);
      }
    }, {
      key: "getAssignableRoles",
      value: function getAssignableRoles() {
        return this.getAssignableRolesWithHttpInfo();
      }
    }, {
      key: "getListWithHttpInfo",
      value: function getListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          n = {
            Filter: e.filter,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = x;
        return this.apiClient.callApi("/api/identity/users", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "getList",
      value: function getList(e) {
        return this.getListWithHttpInfo(e);
      }
    }, {
      key: "getRolesWithHttpInfo",
      value: function getRolesWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling getRoles");
        var i = {
            id: e
          },
          n = {},
          o = {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = C;
        return this.apiClient.callApi("/api/identity/users/{id}/roles", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "getRoles",
      value: function getRoles(e) {
        return this.getRolesWithHttpInfo(e);
      }
    }, {
      key: "updateWithHttpInfo",
      value: function updateWithHttpInfo(e, t) {
        t = t || {};
        var i = t.body;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling update");
        var n = {
            id: e
          },
          o = {},
          a = t.header || {},
          s = {},
          l = ["oauth2"],
          p = ["application/_*+json", "application/json", "text/json"],
          u = ["application/json", "text/json", "text/plain"],
          v = h;
        return this.apiClient.callApi("/api/identity/users/{id}", "PUT", n, o, a, s, i, l, p, u, v);
      }
    }, {
      key: "update",
      value: function update(e, t) {
        return this.updateWithHttpInfo(e, t);
      }
    }, {
      key: "updateRolesWithHttpInfo",
      value: function updateRolesWithHttpInfo(e, t) {
        t = t || {};
        var i = t.body;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling updateRoles");
        var n = {
            id: e
          },
          o = {},
          a = t.header || {},
          s = {},
          l = ["oauth2"],
          p = ["application/_*+json", "application/json", "text/json"],
          u = ["application/json", "text/json", "text/plain"],
          v = t.returnType || null;
        return this.apiClient.callApi("/api/identity/users/{id}/roles", "PUT", n, o, a, s, i, l, p, u, v);
      }
    }, {
      key: "updateRoles",
      value: function updateRoles(e, t) {
        return this.updateRolesWithHttpInfo(e, t);
      }
    }]);
  }();
  R(J, "Methods", {
    callDelete: {
      method: "DELETE",
      path: "/api/identity/users/{id}"
    },
    create: {
      method: "POST",
      path: "/api/identity/users"
    },
    findByEmail: {
      method: "GET",
      path: "/api/identity/users/by-email/{email}"
    },
    findByUsername: {
      method: "GET",
      path: "/api/identity/users/by-username/{userName}"
    },
    get: {
      method: "GET",
      path: "/api/identity/users/{id}"
    },
    getAssignableRoles: {
      method: "GET",
      path: "/api/identity/users/assignable-roles"
    },
    getList: {
      method: "GET",
      path: "/api/identity/users"
    },
    getRoles: {
      method: "GET",
      path: "/api/identity/users/{id}/roles"
    },
    update: {
      method: "PUT",
      path: "/api/identity/users/{id}"
    },
    updateRoles: {
      method: "PUT",
      path: "/api/identity/users/{id}/roles"
    }
  });
  var $ = /*#__PURE__*/function () {
    function $(e) {
      _classCallCheck(this, $);
      this.apiClient = e || r.GetInstance("abp-identity", "UserLookupApi");
    }
    return _createClass($, [{
      key: "findByIdWithHttpInfo",
      value: function findByIdWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling findById");
        var i = {
            id: e
          },
          n = {},
          o = {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = f;
        return this.apiClient.callApi("/api/identity/users/lookup/{id}", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "findById",
      value: function findById(e) {
        return this.findByIdWithHttpInfo(e);
      }
    }, {
      key: "findByUserNameWithHttpInfo",
      value: function findByUserNameWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'userName' when calling findByUserName");
        var i = {
            userName: e
          },
          n = {},
          o = {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = f;
        return this.apiClient.callApi("/api/identity/users/lookup/by-username/{userName}", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "findByUserName",
      value: function findByUserName(e) {
        return this.findByUserNameWithHttpInfo(e);
      }
    }, {
      key: "getCountWithHttpInfo",
      value: function getCountWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          n = {
            Filter: e.filter
          },
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = "Number";
        return this.apiClient.callApi("/api/identity/users/lookup/count", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "getCount",
      value: function getCount(e) {
        return this.getCountWithHttpInfo(e);
      }
    }, {
      key: "searchWithHttpInfo",
      value: function searchWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          n = {
            Filter: e.filter,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          a = {},
          s = ["oauth2"],
          l = [],
          p = ["application/json", "text/json", "text/plain"],
          u = U;
        return this.apiClient.callApi("/api/identity/users/lookup/search", "GET", i, n, o, a, t, s, l, p, u);
      }
    }, {
      key: "search",
      value: function search(e) {
        return this.searchWithHttpInfo(e);
      }
    }]);
  }();
  R($, "Methods", {
    findById: {
      method: "GET",
      path: "/api/identity/users/lookup/{id}"
    },
    findByUserName: {
      method: "GET",
      path: "/api/identity/users/lookup/by-username/{userName}"
    },
    getCount: {
      method: "GET",
      path: "/api/identity/users/lookup/count"
    },
    search: {
      method: "GET",
      path: "/api/identity/users/lookup/search"
    }
  }), c.AbpIdentityRoleCreateDto = N, c.AbpIdentityRoleDto = T, c.AbpIdentityRoleUpdateDto = S, c.AbpIdentityUserCreateDto = w, c.AbpIdentityUserDto = h, c.AbpIdentityUserUpdateDto = g, c.AbpIdentityUserUpdateRolesDto = F, c.AbpOrganizationUnitCreateDto = B, c.AbpOrganizationUnitDto = y, c.AbpOrganizationUnitFullPathNameDto = O, c.AbpOrganizationUnitUpdateDto = H, c.AbpOrgnizationUnitSeqNoUpdateDto = G, c.AbpRemoteServiceErrorInfo = I, c.AbpRemoteServiceErrorResponse = M, c.AbpRemoteServiceValidationErrorInfo = W, c.AbpUserData = f, c.ApiClient = r, c.ListResultDtoAbpIdentityRoleDto = C, c.ListResultDtoAbpOrganizationUnitDto = A, c.ListResultDtoAbpUserData = U, c.OrganizationApi = K, c.PagedResultDtoAbpIdentityRoleDto = E, c.PagedResultDtoAbpIdentityUserDto = x, c.PagedResultDtoAbpOrganizationUnitDto = D, c.RoleApi = V, c.UserApi = J, c.UserLookupApi = $, Object.defineProperty(c, Symbol.toStringTag, {
    value: "Module"
  });
});
/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__("b639").Buffer, __webpack_require__("62e4")(module)))

/***/ }),

/***/ "ea83":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var userAgent = __webpack_require__("b5db");

var webkit = userAgent.match(/AppleWebKit\/(\d+)\./);

module.exports = !!webkit && +webkit[1];


/***/ }),

/***/ "ec2b":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Module dependencies.
 */
__webpack_require__("9911");
var utils = __webpack_require__("5684");

/**
 * Expose `ResponseBase`.
 */

module.exports = ResponseBase;

/**
 * Initialize a new `ResponseBase`.
 *
 * @api public
 */

function ResponseBase(obj) {
  if (obj) return mixin(obj);
}

/**
 * Mixin the prototype properties.
 *
 * @param {Object} obj
 * @return {Object}
 * @api private
 */

function mixin(obj) {
  for (var key in ResponseBase.prototype) {
    obj[key] = ResponseBase.prototype[key];
  }
  return obj;
}

/**
 * Get case-insensitive `field` value.
 *
 * @param {String} field
 * @return {String}
 * @api public
 */

ResponseBase.prototype.get = function (field) {
  return this.header[field.toLowerCase()];
};

/**
 * Set header related properties:
 *
 *   - `.type` the content type without params
 *
 * A response of "Content-Type: text/plain; charset=utf-8"
 * will provide you with a `.type` of "text/plain".
 *
 * @param {Object} header
 * @api private
 */

ResponseBase.prototype._setHeaderProperties = function (header) {
  // TODO: moar!
  // TODO: make this a util

  // content-type
  var ct = header['content-type'] || '';
  this.type = utils.type(ct);

  // params
  var params = utils.params(ct);
  for (var key in params) this[key] = params[key];
  this.links = {};

  // links
  try {
    if (header.link) {
      this.links = utils.parseLinks(header.link);
    }
  } catch (err) {
    // ignore
  }
};

/**
 * Set flags such as `.ok` based on `status`.
 *
 * For example a 2xx response will give you a `.ok` of __true__
 * whereas 5xx will be __false__ and `.error` will be __true__. The
 * `.clientError` and `.serverError` are also available to be more
 * specific, and `.statusType` is the class of error ranging from 1..5
 * sometimes useful for mapping respond colors etc.
 *
 * "sugar" properties are also defined for common cases. Currently providing:
 *
 *   - .noContent
 *   - .badRequest
 *   - .unauthorized
 *   - .notAcceptable
 *   - .notFound
 *
 * @param {Number} status
 * @api private
 */

ResponseBase.prototype._setStatusProperties = function (status) {
  var type = status / 100 | 0;

  // status / class
  this.status = this.statusCode = status;
  this.statusType = type;

  // basics
  this.info = 1 == type;
  this.ok = 2 == type;
  this.redirect = 3 == type;
  this.clientError = 4 == type;
  this.serverError = 5 == type;
  this.error = 4 == type || 5 == type ? this.toError() : false;

  // sugar
  this.accepted = 202 == status;
  this.noContent = 204 == status;
  this.badRequest = 400 == status;
  this.unauthorized = 401 == status;
  this.notAcceptable = 406 == status;
  this.forbidden = 403 == status;
  this.notFound = 404 == status;
};

/***/ }),

/***/ "f049":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Check if `obj` is an object.
 *
 * @param {Object} obj
 * @return {Boolean}
 * @api private
 */
var _typeof = __webpack_require__("7037").default;
function isObject(obj) {
  return null !== obj && 'object' === _typeof(obj);
}
module.exports = isObject;

/***/ })

}]);
//# sourceMappingURL=safe-production-factor.umd.9.js.map